#ifndef PARSER_H
# define PARSER_H

typedef union {
	char		qchar;
	char		*text;
	long		number;
	double		real;
	argDef		memArg;
	funcArgs	arglist;
	codeBlock	*codeb;
	valueDef	value;
	valueDef	*valp;
	optFlags	optflags;
	optFlag		flag;
	scopedNameDef	*scpvalp;
	fcallDef	fcall;
	int		boolean;
} YYSTYPE;
# define	TK_DOC	257
# define	TK_EXPORTEDDOC	258
# define	TK_MAKEFILE	259
# define	TK_VARCODE	260
# define	TK_POSTINITCODE	261
# define	TK_CPPCODE	262
# define	TK_PREPYCODE	263
# define	TK_PYCODE	264
# define	TK_COPYING	265
# define	TK_MAPPEDTYPE	266
# define	TK_CODEBLOCK	267
# define	TK_IF	268
# define	TK_END	269
# define	TK_NAME	270
# define	TK_FILENAME	271
# define	TK_STRING	272
# define	TK_VIRTUALCODE	273
# define	TK_MEMBERCODE	274
# define	TK_FROMTYPE	275
# define	TK_TOTYPE	276
# define	TK_TOSUBCLASS	277
# define	TK_INCLUDE	278
# define	TK_OPTINCLUDE	279
# define	TK_IMPORT	280
# define	TK_HEADERCODE	281
# define	TK_EXPHEADERCODE	282
# define	TK_MODULE	283
# define	TK_CLASS	284
# define	TK_STRUCT	285
# define	TK_PUBLIC	286
# define	TK_PROTECTED	287
# define	TK_PRIVATE	288
# define	TK_SIGNALS	289
# define	TK_SLOTS	290
# define	TK_BOOL	291
# define	TK_SHORT	292
# define	TK_INT	293
# define	TK_LONG	294
# define	TK_FLOAT	295
# define	TK_DOUBLE	296
# define	TK_CHAR	297
# define	TK_VOID	298
# define	TK_PYOBJECT	299
# define	TK_VIRTUAL	300
# define	TK_ENUM	301
# define	TK_UNSIGNED	302
# define	TK_SCOPE	303
# define	TK_LOGICAL_OR	304
# define	TK_CONST	305
# define	TK_STATIC	306
# define	TK_SIPSIGNAL	307
# define	TK_SIPRXCON	308
# define	TK_SIPRXDIS	309
# define	TK_SIPSLOTCON	310
# define	TK_SIPSLOTDIS	311
# define	TK_NUMBER	312
# define	TK_REAL	313
# define	TK_TYPEDEF	314
# define	TK_NAMESPACE	315
# define	TK_TIMELINE	316
# define	TK_PLATFORMS	317
# define	TK_FEATURE	318
# define	TK_LICENSE	319
# define	TK_EXPOSE	320
# define	TK_QCHAR	321


extern YYSTYPE yylval;

#endif /* not PARSER_H */
