
/* A Bison parser, made from parser.y
   by GNU bison 1.29.  */

#define YYBISON 1  /* Identify Bison output.  */

# define	TK_DOC	257
# define	TK_EXPORTEDDOC	258
# define	TK_MAKEFILE	259
# define	TK_VARCODE	260
# define	TK_POSTINITCODE	261
# define	TK_CPPCODE	262
# define	TK_PREPYCODE	263
# define	TK_PYCODE	264
# define	TK_COPYING	265
# define	TK_MAPPEDTYPE	266
# define	TK_CODEBLOCK	267
# define	TK_IF	268
# define	TK_END	269
# define	TK_NAME	270
# define	TK_FILENAME	271
# define	TK_STRING	272
# define	TK_VIRTUALCODE	273
# define	TK_MEMBERCODE	274
# define	TK_FROMTYPE	275
# define	TK_TOTYPE	276
# define	TK_TOSUBCLASS	277
# define	TK_INCLUDE	278
# define	TK_OPTINCLUDE	279
# define	TK_IMPORT	280
# define	TK_HEADERCODE	281
# define	TK_EXPHEADERCODE	282
# define	TK_MODULE	283
# define	TK_CLASS	284
# define	TK_STRUCT	285
# define	TK_PUBLIC	286
# define	TK_PROTECTED	287
# define	TK_PRIVATE	288
# define	TK_SIGNALS	289
# define	TK_SLOTS	290
# define	TK_BOOL	291
# define	TK_SHORT	292
# define	TK_INT	293
# define	TK_LONG	294
# define	TK_FLOAT	295
# define	TK_DOUBLE	296
# define	TK_CHAR	297
# define	TK_VOID	298
# define	TK_PYOBJECT	299
# define	TK_VIRTUAL	300
# define	TK_ENUM	301
# define	TK_UNSIGNED	302
# define	TK_SCOPE	303
# define	TK_LOGICAL_OR	304
# define	TK_CONST	305
# define	TK_STATIC	306
# define	TK_SIPSIGNAL	307
# define	TK_SIPRXCON	308
# define	TK_SIPRXDIS	309
# define	TK_SIPSLOTCON	310
# define	TK_SIPSLOTDIS	311
# define	TK_NUMBER	312
# define	TK_REAL	313
# define	TK_TYPEDEF	314
# define	TK_NAMESPACE	315
# define	TK_TIMELINE	316
# define	TK_PLATFORMS	317
# define	TK_FEATURE	318
# define	TK_LICENSE	319
# define	TK_EXPOSE	320
# define	TK_QCHAR	321

#line 24 "parser.y"

#include <stdlib.h>
#include <string.h>

#include "sip.h"


#define	MAX_NESTED_IF		10
#define	MAX_NESTED_SCOPE	10

#define	isMainModule(m)		(currentSpec -> module == (m))


/* The different attribute name types. */

typedef enum {
	func_attr,
	var_attr,
	enum_attr,
	class_attr
} attrType;


static sipSpec *currentSpec;		/* The current spec being parsed. */
static stringList *neededQualifiers;	/* The list of required qualifiers. */
static stringList *excludedQualifiers;	/* The list of excluded qualifiers. */
static moduleDef *currentModule;	/* The current module being parsed. */
static mappedTypeDef *currentMappedType;	/* The current mapped type. */
static enumDef *currentEnum;		/* The current enum being parsed. */
static int sectionFlags;		/* The current section flags. */
static int currentOverIsVirt;		/* Set if the overload is virtual. */
static int currentIsStatic;		/* Set if the current is static. */
static char *previousFile;		/* The file just parsed. */
static parserContext newContext;	/* The new pending context. */
static int skipStackPtr;		/* The skip stack pointer. */
static int skipStack[MAX_NESTED_IF];	/* Stack of skip flags. */
static classDef *scopeStack[MAX_NESTED_SCOPE];	/* The scope stack. */
static int sectFlagsStack[MAX_NESTED_SCOPE];	/* The section flags stack. */
static int currentScopeIdx;		/* The scope stack index. */


static nameDef *cacheName(sipSpec *,moduleDef *,char *);
static ifaceFileDef *findIfaceFile(sipSpec *,scopedNameDef *,ifaceFileType,
				   argDef *);
static classDef *findClass(sipSpec *,ifaceFileType,scopedNameDef *);
static classDef *newClass(sipSpec *,ifaceFileType,scopedNameDef *);
static void finishClass(classDef *,optFlags *);
static mappedTypeDef *newMappedType(sipSpec *,argDef *);
static enumDef *newEnum(sipSpec *,moduleDef *,char *,int);
static void newTypedef(sipSpec *,char *,argDef *);
static void newVar(sipSpec *,moduleDef *,char *,int,argDef *,codeBlock *);
static void newCtor(char *,int,funcArgs *,codeBlock *);
static void newFunction(sipSpec *,moduleDef *,int,int,int,
			argDef *,char *,funcArgs *,int,int,optFlags *,
			codeBlock *,codeBlock *);
static optFlag *findOptFlag(optFlags *,char *,flagType);
static memberDef *findFunction(sipSpec *,moduleDef *,classDef *,char *);
static void checkAttributes(sipSpec *,classDef *,nameDef *,attrType);
static void newModule(FILE *,char *);
static void appendCodeBlock(codeBlock **,codeBlock *);
static void parseFile(FILE *,char *,moduleDef *,int);
static void handleEOF(void);
static void handleEOM(void);
static qualDef *findQualifier(sipSpec *,char *);
static scopedNameDef *text2scopedName(char *);
static void pushScope(classDef *);
static void popScope(void);
static classDef *currentScope(void);
static void newQualifier(sipSpec *,moduleDef *,int,char *,qualType);
static void newImport(sipSpec *,char *);
static void usedInMainModule(sipSpec *,ifaceFileDef *);
static int timePeriod(sipSpec *,char *,char *);
static int platOrFeature(sipSpec *,char *,int);
static int isExcluded(qualDef *qd);
static int isNeeded(qualDef *);
static int notSkipping(void);

#line 102 "parser.y"
typedef union {
	char		qchar;
	char		*text;
	long		number;
	double		real;
	argDef		memArg;
	funcArgs	arglist;
	codeBlock	*codeb;
	valueDef	value;
	valueDef	*valp;
	optFlags	optflags;
	optFlag		flag;
	scopedNameDef	*scpvalp;
	fcallDef	fcall;
	int		boolean;
} YYSTYPE;
#include <stdio.h>



#define	YYFINAL		348
#define	YYFLAG		-32768
#define	YYNTBASE	86

/* YYTRANSLATE(YYLEX) -- Bison token number corresponding to YYLEX. */
#define YYTRANSLATE(x) ((unsigned)(x) <= 321 ? yytranslate[x] : 184)

/* YYTRANSLATE[YYLEX] -- Bison token number corresponding to YYLEX. */
static const char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    73,     2,     2,     2,     2,    82,     2,
      71,    72,    83,    77,    75,    74,     2,    81,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    80,    70,
      84,    76,    85,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    68,    78,    69,    79,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     3,     4,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67
};

#if YYDEBUG != 0
static const short yyprhs[] =
{
       0,     0,     2,     5,     6,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    72,    80,    82,
      85,    87,    90,    93,    94,   102,   104,   107,   108,   114,
     116,   119,   121,   124,   125,   131,   133,   136,   138,   143,
     145,   148,   152,   157,   159,   163,   165,   168,   171,   175,
     176,   178,   181,   184,   187,   188,   191,   194,   197,   200,
     203,   206,   209,   212,   215,   218,   223,   226,   227,   235,
     236,   238,   239,   241,   243,   246,   248,   250,   254,   255,
     257,   258,   261,   263,   267,   269,   271,   273,   274,   276,
     278,   280,   282,   285,   287,   291,   293,   295,   300,   302,
     304,   306,   308,   309,   311,   315,   320,   324,   325,   334,
     335,   345,   346,   349,   351,   355,   357,   359,   362,   364,
     366,   368,   370,   372,   374,   376,   378,   380,   382,   384,
     386,   389,   392,   396,   400,   404,   407,   408,   410,   417,
     425,   437,   438,   440,   441,   444,   445,   449,   451,   455,
     457,   461,   463,   465,   467,   468,   471,   472,   475,   477,
     478,   480,   484,   486,   488,   490,   495,   500,   503,   504,
     508,   510,   512,   514,   515,   519,   521,   526,   531,   535,
     538,   539,   541,   542,   545,   547,   552,   555,   558,   560,
     562,   565,   567,   569,   572,   574,   576,   578,   581,   583,
     585,   587,   589
};
static const short yyrhs[] =
{
      87,     0,    86,    87,     0,     0,    88,    89,     0,   113,
       0,   119,     0,   115,     0,   116,     0,   117,     0,   103,
       0,    98,     0,   102,     0,   111,     0,   112,     0,   120,
       0,   121,     0,   122,     0,   123,     0,   124,     0,   125,
       0,   126,     0,   127,     0,   128,     0,    91,     0,    90,
       0,   107,     0,   110,     0,    95,     0,   148,     0,   150,
       0,   147,     0,   146,     0,   130,     0,   160,     0,   177,
       0,     0,    12,   182,    92,    68,    93,    69,    70,     0,
      94,     0,    93,    94,     0,   120,     0,    21,   129,     0,
      22,   129,     0,     0,    61,    16,    96,    68,    97,    69,
      70,     0,    90,     0,    97,    90,     0,     0,    63,    99,
      68,   100,    69,     0,   101,     0,   100,   101,     0,    16,
       0,    64,    16,     0,     0,    62,   104,    68,   105,    69,
       0,   106,     0,   105,   106,     0,    16,     0,    14,    71,
     109,    72,     0,    16,     0,    73,    16,     0,   108,    50,
      16,     0,   108,    50,    73,    16,     0,   108,     0,   133,
      74,   133,     0,    15,     0,    65,   163,     0,    66,    16,
       0,    29,    16,   114,     0,     0,    58,     0,    24,    17,
       0,    25,    17,     0,    26,    17,     0,     0,     6,   129,
       0,    11,   129,     0,    27,   129,     0,    28,   129,     0,
       8,   129,     0,     7,   129,     0,     9,   129,     0,    10,
     129,     0,     3,   129,     0,     4,   129,     0,     5,    17,
     132,   129,     0,    13,    15,     0,     0,    47,   133,   131,
      68,   134,    69,    70,     0,     0,    17,     0,     0,    16,
       0,   135,     0,   134,   135,     0,   107,     0,   110,     0,
      16,   137,   136,     0,     0,    75,     0,     0,    76,   138,
       0,   141,     0,   138,   139,   141,     0,    74,     0,    77,
       0,    78,     0,     0,    73,     0,    79,     0,    74,     0,
      77,     0,   140,   144,     0,   143,     0,   142,    49,   143,
       0,    16,     0,   142,     0,   142,    71,   145,    72,     0,
      59,     0,    58,     0,    18,     0,    67,     0,     0,   141,
       0,   145,    75,   141,     0,    60,   178,    16,    70,     0,
      30,   142,    70,     0,     0,    31,    16,   149,   163,    68,
     155,    69,    70,     0,     0,    30,    16,   151,   152,   163,
      68,   155,    69,    70,     0,     0,    80,   153,     0,   154,
       0,   153,    75,   154,     0,   142,     0,   156,     0,   155,
     156,     0,   107,     0,   110,     0,    95,     0,   150,     0,
     147,     0,   146,     0,   130,     0,   122,     0,   120,     0,
     159,     0,   158,     0,   172,     0,    23,   129,     0,    22,
     129,     0,    32,   157,    80,     0,    33,   157,    80,     0,
      34,   157,    80,     0,    35,    80,     0,     0,    36,     0,
      79,    16,    71,    72,    70,   167,     0,    16,    71,   169,
      72,   163,    70,   167,     0,   178,    16,    71,   169,    72,
     161,   162,   163,    70,   167,   168,     0,     0,    51,     0,
       0,    76,    58,     0,     0,    81,   164,    81,     0,   165,
       0,   164,    75,   165,     0,    16,     0,    16,    76,   166,
       0,    16,     0,    18,     0,    58,     0,     0,    20,   129,
       0,     0,    19,   129,     0,   170,     0,     0,   171,     0,
     170,    75,   171,     0,    53,     0,    54,     0,    55,     0,
      56,    71,   169,    72,     0,    57,    71,   169,    72,     0,
     179,   137,     0,     0,    52,   173,   174,     0,   174,     0,
     175,     0,   177,     0,     0,    46,   176,   160,     0,   160,
       0,   178,    16,    70,   118,     0,    51,   182,   181,   180,
       0,   182,   181,   180,     0,   178,   163,     0,     0,    82,
       0,     0,   181,    83,     0,   142,     0,   142,    84,   183,
      85,     0,    31,   142,     0,    48,    38,     0,    38,     0,
      48,     0,    48,    39,     0,    39,     0,    40,     0,    48,
      40,     0,    41,     0,    42,     0,    37,     0,    48,    43,
       0,    43,     0,    44,     0,    45,     0,   182,     0,   183,
      75,   182,     0
};

#endif

#if YYDEBUG != 0
/* YYRLINE[YYN] -- source line where rule number YYN was defined. */
static const short yyrline[] =
{
       0,   224,   225,   228,   245,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   261,   262,   266,   267,
     268,   269,   270,   271,   272,   273,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   288,   297,   311,   312,
     315,   319,   328,   339,   352,   360,   361,   364,   371,   391,
     392,   395,   400,   405,   411,   431,   432,   435,   440,   455,
     458,   461,   464,   469,   470,   475,   481,   508,   531,   544,
     547,   550,   555,   560,   565,   568,   573,   579,   584,   589,
     594,   600,   606,   612,   618,   623,   645,   648,   656,   659,
     662,   667,   670,   675,   676,   679,   680,   681,   708,   709,
     712,   715,   720,   721,   739,   742,   745,   750,   753,   756,
     759,   762,   767,   785,   786,   791,   796,   806,   816,   820,
     824,   828,   834,   839,   845,   863,   869,   883,   897,   906,
     920,   929,   930,   933,   934,   937,   952,   953,   956,   957,
     958,   959,   960,   961,   962,   963,   967,   971,   972,   973,
     974,   985,   996,  1000,  1004,  1008,  1014,  1017,  1022,  1042,
    1055,  1073,  1076,  1081,  1084,  1092,  1095,  1101,  1105,  1117,
    1121,  1127,  1131,  1135,  1141,  1144,  1149,  1152,  1157,  1215,
    1220,  1226,  1258,  1265,  1272,  1279,  1289,  1299,  1305,  1306,
    1306,  1309,  1310,  1313,  1314,  1314,  1317,  1338,  1343,  1350,
    1391,  1394,  1399,  1402,  1407,  1411,  1421,  1425,  1428,  1431,
    1434,  1437,  1440,  1443,  1446,  1449,  1452,  1455,  1458,  1461,
    1464,  1469,  1475
};
#endif


#if YYDEBUG != 0 || defined YYERROR_VERBOSE

/* YYTNAME[TOKEN_NUM] -- String name of the token TOKEN_NUM. */
static const char *const yytname[] =
{
  "$", "error", "$undefined.", "TK_DOC", "TK_EXPORTEDDOC", "TK_MAKEFILE", 
  "TK_VARCODE", "TK_POSTINITCODE", "TK_CPPCODE", "TK_PREPYCODE", 
  "TK_PYCODE", "TK_COPYING", "TK_MAPPEDTYPE", "TK_CODEBLOCK", "TK_IF", 
  "TK_END", "TK_NAME", "TK_FILENAME", "TK_STRING", "TK_VIRTUALCODE", 
  "TK_MEMBERCODE", "TK_FROMTYPE", "TK_TOTYPE", "TK_TOSUBCLASS", 
  "TK_INCLUDE", "TK_OPTINCLUDE", "TK_IMPORT", "TK_HEADERCODE", 
  "TK_EXPHEADERCODE", "TK_MODULE", "TK_CLASS", "TK_STRUCT", "TK_PUBLIC", 
  "TK_PROTECTED", "TK_PRIVATE", "TK_SIGNALS", "TK_SLOTS", "TK_BOOL", 
  "TK_SHORT", "TK_INT", "TK_LONG", "TK_FLOAT", "TK_DOUBLE", "TK_CHAR", 
  "TK_VOID", "TK_PYOBJECT", "TK_VIRTUAL", "TK_ENUM", "TK_UNSIGNED", 
  "TK_SCOPE", "TK_LOGICAL_OR", "TK_CONST", "TK_STATIC", "TK_SIPSIGNAL", 
  "TK_SIPRXCON", "TK_SIPRXDIS", "TK_SIPSLOTCON", "TK_SIPSLOTDIS", 
  "TK_NUMBER", "TK_REAL", "TK_TYPEDEF", "TK_NAMESPACE", "TK_TIMELINE", 
  "TK_PLATFORMS", "TK_FEATURE", "TK_LICENSE", "TK_EXPOSE", "TK_QCHAR", 
  "'{'", "'}'", "';'", "'('", "')'", "'!'", "'-'", "','", "'='", "'+'", 
  "'|'", "'~'", "':'", "'/'", "'&'", "'*'", "'<'", "'>'", "specification", 
  "statement", "@1", "modstatement", "nsstatement", "mappedtype", "@2", 
  "mtbody", "mtline", "namespace", "@3", "nsbody", "platforms", "@4", 
  "platformlist", "platform", "feature", "timeline", "@5", 
  "qualifierlist", "qualifiername", "ifstart", "oredqualifiers", 
  "qualifiers", "ifend", "license", "expose", "module", "optnumber", 
  "include", "optinclude", "import", "optvarcode", "copying", "hdrcode", 
  "exphdrcode", "cppcode", "postinitcode", "prepycode", "pycode", "doc", 
  "exporteddoc", "makefile", "codeblock", "enum", "@6", "optfilename", 
  "optname", "enumbody", "enumline", "optcomma", "optassign", "expr", 
  "binop", "optunop", "value", "scopedname", "scopepart", "simplevalue", 
  "valuelist", "typedef", "opaqueclass", "struct", "@7", "class", "@8", 
  "superclasses", "superlist", "superclass", "classbody", "classline", 
  "optslot", "dtor", "ctor", "function", "optconst", "optabstract", 
  "optflags", "flaglist", "flag", "flagvalue", "membercode", 
  "optvirtualcode", "arglist", "rawarglist", "argvalue", "varmember", 
  "@9", "varmem", "member", "@10", "variable", "cpptype", "argtype", 
  "optref", "deref", "basetype", "basetypelist", NULL
};
#endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives. */
static const short yyr1[] =
{
       0,    86,    86,    88,    87,    89,    89,    89,    89,    89,
      89,    89,    89,    89,    89,    89,    89,    89,    89,    89,
      89,    89,    89,    89,    89,    89,    90,    90,    90,    90,
      90,    90,    90,    90,    90,    90,    92,    91,    93,    93,
      94,    94,    94,    96,    95,    97,    97,    99,    98,   100,
     100,   101,   102,   104,   103,   105,   105,   106,   107,   108,
     108,   108,   108,   109,   109,   110,   111,   112,   113,   114,
     114,   115,   116,   117,   118,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   131,   130,   132,
     132,   133,   133,   134,   134,   135,   135,   135,   136,   136,
     137,   137,   138,   138,   139,   139,   139,   140,   140,   140,
     140,   140,   141,   142,   142,   143,   144,   144,   144,   144,
     144,   144,   145,   145,   145,   146,   147,   149,   148,   151,
     150,   152,   152,   153,   153,   154,   155,   155,   156,   156,
     156,   156,   156,   156,   156,   156,   156,   156,   156,   156,
     156,   156,   156,   156,   156,   156,   157,   157,   158,   159,
     160,   161,   161,   162,   162,   163,   163,   164,   164,   165,
     165,   166,   166,   166,   167,   167,   168,   168,   169,   170,
     170,   170,   171,   171,   171,   171,   171,   171,   173,   172,
     172,   174,   174,   176,   175,   175,   177,   178,   178,   179,
     180,   180,   181,   181,   182,   182,   182,   182,   182,   182,
     182,   182,   182,   182,   182,   182,   182,   182,   182,   182,
     182,   183,   183
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN. */
static const short yyr2[] =
{
       0,     1,     2,     0,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     7,     1,     2,
       1,     2,     2,     0,     7,     1,     2,     0,     5,     1,
       2,     1,     2,     0,     5,     1,     2,     1,     4,     1,
       2,     3,     4,     1,     3,     1,     2,     2,     3,     0,
       1,     2,     2,     2,     0,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     4,     2,     0,     7,     0,
       1,     0,     1,     1,     2,     1,     1,     3,     0,     1,
       0,     2,     1,     3,     1,     1,     1,     0,     1,     1,
       1,     1,     2,     1,     3,     1,     1,     4,     1,     1,
       1,     1,     0,     1,     3,     4,     3,     0,     8,     0,
       9,     0,     2,     1,     3,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     3,     3,     3,     2,     0,     1,     6,     7,
      11,     0,     1,     0,     2,     0,     3,     1,     3,     1,
       3,     1,     1,     1,     0,     2,     0,     2,     1,     0,
       1,     3,     1,     1,     1,     4,     4,     2,     0,     3,
       1,     1,     1,     0,     3,     1,     4,     4,     3,     2,
       0,     1,     0,     2,     1,     4,     2,     2,     1,     1,
       2,     1,     1,     2,     1,     1,     1,     2,     1,     1,
       1,     1,     3
};

/* YYDEFACT[S] -- default rule to reduce with in state S when YYTABLE
   doesn't specify something else to do.  Zero means the default is an
   error. */
static const short yydefact[] =
{
       3,     3,     1,     0,     2,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    65,   115,     0,     0,     0,
       0,     0,     0,     0,     0,   216,   208,   211,   212,   214,
     215,   218,   219,   220,    91,   209,     0,     0,     0,    53,
      47,     0,   165,     0,     4,    25,    24,    28,    11,    12,
      10,    26,    27,    13,    14,     5,     7,     8,     9,     6,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    33,
     204,   113,    32,    31,    29,    30,    34,    35,     0,   202,
       0,    83,    84,    89,    80,    79,    81,    82,    76,     0,
      36,    91,    71,    72,    73,    77,    78,    69,   129,     0,
     115,   206,    92,    87,   207,   210,   213,   217,   202,     0,
      43,     0,     0,    52,     0,    66,    67,     0,     0,     0,
     200,    86,    90,     0,     0,    59,     0,    63,     0,     0,
      70,    68,   131,   126,   165,     0,   200,     0,     0,     0,
       0,   169,     0,   167,   114,   221,     0,    74,   179,   201,
     203,   198,    85,     0,    60,     0,    58,    91,     0,   165,
       0,     0,   197,   125,     0,    57,     0,    55,    51,     0,
      49,     0,     0,   166,     0,   205,     0,   196,   182,   183,
     184,     0,     0,     0,   178,   180,   165,   100,     0,     0,
       0,    38,    40,    61,     0,    64,   135,   132,   133,     0,
       0,   100,    95,    96,     0,    93,    45,     0,    54,    56,
      48,    50,   171,   172,   173,   170,   168,   222,    75,   179,
     179,   161,     0,   199,   107,   187,    41,    42,     0,    39,
      62,     0,     0,   115,     0,     0,   156,   156,   156,     0,
     193,   188,     0,   140,   138,   139,   146,   145,   144,   143,
     142,   141,     0,   136,   148,   147,   195,   149,   190,   191,
     192,    98,     0,    94,     0,    46,     0,     0,   162,   163,
     181,   108,   110,   111,   109,   101,     0,   102,    37,   134,
       0,   179,   151,   150,   157,     0,     0,     0,   155,     0,
       0,     0,     0,   137,    99,    97,    88,    44,   185,   186,
       0,   165,   104,   105,   106,   107,   120,   119,   118,   121,
     116,   112,     0,     0,   152,   153,   154,   194,     0,   189,
       0,   128,   164,     0,   103,   107,   130,   165,     0,     0,
     174,   123,     0,     0,   174,     0,   176,   117,   107,   174,
     158,   175,     0,   160,   124,   159,   177,     0,     0
};

static const short yydefgoto[] =
{
       1,     2,     3,    44,    45,    46,   124,   190,   191,   243,
     138,   207,    48,   112,   169,   170,    49,    50,   111,   166,
     167,   244,   127,   128,   245,    53,    54,    55,   131,    56,
      57,    58,   177,    59,   246,    61,   247,    63,    64,    65,
      66,    67,    68,    81,   248,   135,   123,   103,   204,   205,
     295,   225,   275,   305,   276,   277,    70,    71,   311,   332,
     249,   250,    74,   134,   251,   132,   159,   197,   198,   252,
     253,   285,   254,   255,   256,   269,   301,   115,   142,   143,
     215,   336,   343,   183,   184,   185,   257,   290,   258,   259,
     289,   260,    78,   187,   151,   120,    79,   146
};

static const short yypact[] =
{
  -32768,    25,-32768,   359,-32768,    46,    46,    60,    46,    46,
      46,    46,    46,   476,    29,-32768,-32768,    73,    90,    92,
      46,    46,   102,   116,   136,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,   138,   157,   476,   194,   144,-32768,
  -32768,   153,    91,   183,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
       3,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   185,-32768,
     187,-32768,-32768,   186,-32768,-32768,-32768,-32768,-32768,   188,
  -32768,    18,-32768,-32768,-32768,-32768,-32768,   148,    44,    45,
      40,   158,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   192,
  -32768,   141,   145,-32768,   196,-32768,-32768,   188,   476,   -38,
      93,-32768,-32768,    46,   150,   152,   214,   191,   171,   170,
  -32768,-32768,   169,-32768,    91,   182,    93,   181,   184,   240,
     241,   205,   -45,-32768,-32768,-32768,    10,   252,   430,-32768,
  -32768,-32768,-32768,   137,-32768,    24,-32768,   138,   188,    91,
     200,   172,-32768,-32768,   397,-32768,    19,-32768,-32768,    32,
  -32768,    87,   196,-32768,   476,-32768,    46,-32768,-32768,-32768,
  -32768,   211,   215,   213,   216,-32768,    91,   212,    46,    46,
      77,-32768,-32768,-32768,   273,-32768,   158,   219,-32768,   222,
     300,   212,-32768,-32768,    27,-32768,-32768,    96,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   430,
     430,   244,   430,-32768,    51,-32768,-32768,-32768,   226,-32768,
  -32768,   188,   300,   227,    46,    46,   261,   261,   261,   220,
  -32768,-32768,   283,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,    23,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,   228,   234,-32768,   235,-32768,   230,   237,-32768,   231,
  -32768,-32768,-32768,-32768,-32768,    89,    64,-32768,-32768,-32768,
     232,   430,-32768,-32768,-32768,   233,   238,   239,-32768,   194,
     460,   246,   236,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
     254,    91,-32768,-32768,-32768,    51,-32768,-32768,-32768,-32768,
     -27,-32768,   250,   249,-32768,-32768,-32768,-32768,   294,-32768,
     253,-32768,-32768,   256,-32768,    76,-32768,    91,   257,   279,
     304,-32768,    41,   280,   304,    46,   334,-32768,    51,   304,
  -32768,-32768,    46,-32768,-32768,-32768,-32768,   354,-32768
};

static const short yypgoto[] =
{
  -32768,   355,-32768,-32768,  -135,-32768,-32768,-32768,   165,     9,
  -32768,-32768,-32768,-32768,-32768,   189,-32768,-32768,-32768,-32768,
     193,     7,-32768,-32768,    13,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,     8,-32768,   362,-32768,-32768,-32768,
  -32768,-32768,-32768,    -6,    14,-32768,-32768,   -78,-32768,   168,
  -32768,   156,-32768,-32768,-32768,  -219,   -16,   259,-32768,-32768,
      15,    16,-32768,-32768,    17,-32768,-32768,-32768,   146,   149,
    -231,   -48,-32768,-32768,    -2,-32768,-32768,  -108,-32768,   206,
  -32768,  -258,-32768,  -192,-32768,   160,-32768,-32768,   101,-32768,
  -32768,    20,   -28,-32768,   258,   272,    11,-32768
};


#define	YYLAST		524


static const short yytable[] =
{
      82,    76,    84,    85,    86,    87,    88,    99,   101,   109,
      51,    60,    47,   129,    95,    96,    52,    69,    72,    73,
      75,   293,   117,    77,    90,   347,   160,   266,   267,   206,
     172,     9,   147,   148,   125,   165,   173,    14,    15,   233,
     193,    14,    15,   201,   325,   234,   235,   108,   168,   293,
      20,   199,   117,    23,    89,   236,   237,   238,   239,    80,
      25,    26,    27,    28,    29,    30,    31,    32,    33,   240,
      34,    35,   265,   101,    36,   241,   340,    83,   223,   195,
      16,   345,   306,    37,    38,   174,   324,   118,   208,   313,
      92,   126,   292,  -115,   117,   175,   262,   194,   188,   189,
      91,   210,   242,   212,    20,   213,   331,    93,  -127,    94,
      14,    15,    16,   337,  -115,   133,   338,   152,    97,   344,
     186,  -127,   307,   308,   271,   272,    23,    24,   273,   145,
     274,   309,    98,    25,    26,    27,    28,    29,    30,    31,
      32,    33,   196,    34,    35,   214,   228,    36,  -122,   271,
     272,  -122,   100,   273,   102,   274,    37,    38,   188,   189,
     110,   192,    76,   302,    20,   264,   303,   304,   202,   113,
     218,    51,   114,    47,   203,   149,   150,    52,    69,    72,
      73,    75,   226,   227,    77,   217,    14,    15,   201,   286,
     287,   186,   186,   323,   186,   104,   105,   106,   192,   116,
     107,   119,   121,   122,    16,    76,   130,   117,   137,   139,
      16,   202,   141,   140,    51,   196,    47,   203,   153,   333,
      52,    69,    72,    73,    75,    89,   -92,    77,   282,   283,
     154,    25,    26,    27,    28,    29,    30,    31,    32,    33,
       9,   155,    35,   156,   157,    36,    14,    15,   233,   158,
     161,   163,   164,   186,   234,   235,   165,   168,   176,    20,
     310,   318,    23,    89,   236,   237,   238,   239,   200,    25,
      26,    27,    28,    29,    30,    31,    32,    33,   240,    34,
      35,   171,   219,    36,   241,   221,   220,   317,   224,   230,
     232,   222,    37,    38,   231,   268,   278,   284,   281,   291,
     288,   312,   298,   294,   296,   297,   321,   300,     9,   299,
     328,   242,   322,   314,    14,    15,   233,   320,   315,   316,
     326,   327,   234,   235,   335,   329,   330,    20,   148,   341,
      23,    89,   236,   237,   238,   239,   346,    25,    26,    27,
      28,    29,    30,    31,    32,    33,   240,    34,    35,   334,
     339,    36,   241,   342,   348,   229,     4,   261,   211,   209,
      37,    38,     5,     6,     7,    62,     8,     9,    10,    11,
      12,    13,   263,    14,    15,    16,   144,   279,   216,   242,
     136,   280,   270,    17,    18,    19,    20,    21,    22,    23,
      24,   319,     0,     0,   162,     0,    25,    26,    27,    28,
      29,    30,    31,    32,    33,     0,    34,    35,     0,     0,
      36,    14,    15,    16,     0,     0,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,     0,    23,    24,     0,
       0,     0,     0,     0,    25,    26,    27,    28,    29,    30,
      31,    32,    33,     0,    34,    35,    16,     0,    36,     0,
       0,     0,     0,     0,     0,     0,     0,    37,    38,     0,
       0,    89,     0,     0,     0,     0,     0,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    16,     0,    35,     0,
       0,    36,     0,   178,   179,   180,   181,   182,     0,     0,
       0,    89,    16,     0,     0,     0,     0,    25,    26,    27,
      28,    29,    30,    31,    32,    33,   240,    89,    35,     0,
       0,    36,     0,    25,    26,    27,    28,    29,    30,    31,
      32,    33,     0,     0,    35
};

static const short yycheck[] =
{
       6,     3,     8,     9,    10,    11,    12,    23,    24,    37,
       3,     3,     3,    91,    20,    21,     3,     3,     3,     3,
       3,   252,    49,     3,    13,     0,   134,   219,   220,   164,
      75,     8,    70,    71,    16,    16,    81,    14,    15,    16,
      16,    14,    15,    16,    71,    22,    23,    36,    16,   280,
      27,   159,    49,    30,    31,    32,    33,    34,    35,    13,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,   207,    89,    51,    52,   334,    17,   186,   157,
      16,   339,    18,    60,    61,    75,   305,    84,    69,   281,
      17,    73,    69,    49,    49,    85,    69,    73,    21,    22,
      71,    69,    79,    16,    27,    18,   325,    17,    68,    17,
      14,    15,    16,    72,    70,    70,    75,   123,    16,   338,
     148,    81,    58,    59,    73,    74,    30,    31,    77,   118,
      79,    67,    16,    37,    38,    39,    40,    41,    42,    43,
      44,    45,   158,    47,    48,    58,    69,    51,    72,    73,
      74,    75,    16,    77,    16,    79,    60,    61,    21,    22,
      16,   153,   164,    74,    27,    69,    77,    78,   161,    16,
     176,   164,    81,   164,   161,    82,    83,   164,   164,   164,
     164,   164,   188,   189,   164,   174,    14,    15,    16,   237,
     238,   219,   220,   301,   222,    38,    39,    40,   190,    16,
      43,    16,    15,    17,    16,   207,    58,    49,    16,    68,
      16,   204,    16,    68,   207,   231,   207,   204,    68,   327,
     207,   207,   207,   207,   207,    31,    74,   207,   234,   235,
      16,    37,    38,    39,    40,    41,    42,    43,    44,    45,
       8,    50,    48,    72,    74,    51,    14,    15,    16,    80,
      68,    70,    68,   281,    22,    23,    16,    16,     6,    27,
     276,   289,    30,    31,    32,    33,    34,    35,    68,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    76,    71,    51,    52,    72,    71,   289,    76,    16,
      68,    75,    60,    61,    75,    51,    70,    36,    71,    16,
      80,    69,    72,    75,    70,    70,    70,    76,     8,    72,
      16,    79,    58,    80,    14,    15,    16,    71,    80,    80,
      70,    72,    22,    23,    20,    72,    70,    27,    71,   335,
      30,    31,    32,    33,    34,    35,   342,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    70,
      70,    51,    52,    19,     0,   190,     1,   201,   169,   166,
      60,    61,     3,     4,     5,     3,     7,     8,     9,    10,
      11,    12,   204,    14,    15,    16,   117,   231,   172,    79,
     108,   232,   222,    24,    25,    26,    27,    28,    29,    30,
      31,   290,    -1,    -1,   136,    -1,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    -1,    47,    48,    -1,    -1,
      51,    14,    15,    16,    -1,    -1,    -1,    -1,    -1,    60,
      61,    62,    63,    64,    65,    66,    -1,    30,    31,    -1,
      -1,    -1,    -1,    -1,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    -1,    47,    48,    16,    -1,    51,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    60,    61,    -1,
      -1,    31,    -1,    -1,    -1,    -1,    -1,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    16,    -1,    48,    -1,
      -1,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      -1,    31,    16,    -1,    -1,    -1,    -1,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    31,    48,    -1,
      -1,    51,    -1,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    -1,    -1,    48
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/share/bison/bison.simple"

/* Skeleton output parser for bison,
   Copyright 1984, 1989, 1990, 2000, 2001 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser when
   the %semantic_parser declaration is not specified in the grammar.
   It was written by Richard Stallman by simplifying the hairy parser
   used when %semantic_parser is specified.  */

#ifndef YYSTACK_USE_ALLOCA
# ifdef alloca
#  define YYSTACK_USE_ALLOCA 1
# else /* alloca not defined */
#  ifdef __GNUC__
#   define YYSTACK_USE_ALLOCA 1
#   define alloca __builtin_alloca
#  else /* not GNU C.  */
#   if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi) || (defined (__sun) && defined (__i386))
#    define YYSTACK_USE_ALLOCA 1
#    include <alloca.h>
#   else /* not sparc */
     /* We think this test detects Watcom and Microsoft C.  */
     /* This used to test MSDOS, but that is a bad idea since that
	symbol is in the user namespace.  */
#    if (defined (_MSDOS) || defined (_MSDOS_)) && !defined (__TURBOC__)
#     if 0
       /* No need for malloc.h, which pollutes the namespace; instead,
	  just don't use alloca.  */
#      include <malloc.h>
#     endif
#    else /* not MSDOS, or __TURBOC__ */
#     if defined(_AIX)
       /* I don't know what this was needed for, but it pollutes the
	  namespace.  So I turned it off.  rms, 2 May 1997.  */
       /* #include <malloc.h>  */
 #pragma alloca
#      define YYSTACK_USE_ALLOCA 1
#     else /* not MSDOS, or __TURBOC__, or _AIX */
#      if 0
	/* haible@ilog.fr says this works for HPUX 9.05 and up, and on
	   HPUX 10.  Eventually we can turn this on.  */
#       ifdef __hpux
#        define YYSTACK_USE_ALLOCA 1
#        define alloca __builtin_alloca
#  	endif /* __hpux */
#      endif
#     endif /* not _AIX */
#    endif /* not MSDOS, or __TURBOC__ */
#   endif /* not sparc */
#  endif /* not GNU C */
# endif /* alloca not defined */
#endif /* YYSTACK_USE_ALLOCA not defined */

#if YYSTACK_USE_ALLOCA
# define YYSTACK_ALLOC alloca
#else
# define YYSTACK_ALLOC malloc
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	goto yyacceptlab
#define YYABORT 	goto yyabortlab
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");			\
      YYERROR;							\
    }								\
while (0)

#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Compute the default location (before the actions
   are run).

   When YYLLOC_DEFAULT is run, CURRENT is set the location of the
   first token.  By default, to implement support for ranges, extend
   its range to the last symbol.  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)       	\
   Current.last_line   = Rhs[N].last_line;	\
   Current.last_column = Rhs[N].last_column;
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#if YYPURE
# if YYLSP_NEEDED
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, &yylloc, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval, &yylloc)
#  endif
# else /* !YYLSP_NEEDED */
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval)
#  endif
# endif /* !YYLSP_NEEDED */
#else /* !YYPURE */
# define YYLEX			yylex ()
#endif /* !YYPURE */


/* Enable debugging if requested.  */
#if YYDEBUG
# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    fprintf Args;				\
} while (0)
/* Nonzero means print parse trace. [The following comment makes no
   sense to me.  Could someone clarify it?  --akim] Since this is
   uninitialized, it does not stop multiple parsers from coexisting.
   */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
#endif /* !YYDEBUG */

/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).  */
#if YYMAXDEPTH == 0
# undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Define __yy_memcpy.  Note that the size argument
   should be passed with type unsigned int, because that is what the non-GCC
   definitions require.  With GCC, __builtin_memcpy takes an arg
   of type size_t, but it can handle unsigned int.  */

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
# define __yy_memcpy(To, From, Count)	__builtin_memcpy (To, From, Count)
#else				/* not GNU C or C++ */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
# ifndef __cplusplus
__yy_memcpy (to, from, count)
     char *to;
     const char *from;
     unsigned int count;
# else /* __cplusplus */
__yy_memcpy (char *to, const char *from, unsigned int count)
# endif
{
  register const char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif

#line 212 "/usr/share/bison/bison.simple"


/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
# ifdef __cplusplus
#  define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL
# else /* !__cplusplus */
#  define YYPARSE_PARAM_ARG YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
# endif /* !__cplusplus */
#else /* !YYPARSE_PARAM */
# define YYPARSE_PARAM_ARG
# define YYPARSE_PARAM_DECL
#endif /* !YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
# ifdef YYPARSE_PARAM
int yyparse (void *);
# else
int yyparse (void);
# endif
#endif

/* YY_DECL_VARIABLES -- depending whether we use a pure parser,
   variables are global, or local to YYPARSE.  */

#define _YY_DECL_VARIABLES				\
/* The lookahead symbol.  */				\
int yychar;						\
							\
/* The semantic value of the lookahead symbol. */	\
YYSTYPE yylval;						\
							\
/* Number of parse errors so far.  */			\
int yynerrs;

#if YYLSP_NEEDED
# define YY_DECL_VARIABLES			\
_YY_DECL_VARIABLES				\
						\
/* Location data for the lookahead symbol.  */	\
YYLTYPE yylloc;
#else
# define YY_DECL_VARIABLES			\
_YY_DECL_VARIABLES
#endif


/* If nonreentrant, generate the variables here. */

#if !YYPURE
YY_DECL_VARIABLES
#endif  /* !YYPURE */

int
yyparse (YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  /* If reentrant, generate the variables here. */
#if YYPURE
  YY_DECL_VARIABLES
#endif  /* !YYPURE */

  register int yystate;
  register int yyn;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Lookahead token as an internal (translated) token number.  */
  int yychar1 = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yysv': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack. */
  short	yyssa[YYINITDEPTH];
  short *yyss = yyssa;
  register short *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;

#if YYLSP_NEEDED
  /* The location stack.  */
  YYLTYPE yylsa[YYINITDEPTH];
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;
#endif

#if YYLSP_NEEDED
# define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
# define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;
  int yyfree_stacks = 0;


  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
# if YYLSP_NEEDED
  YYLTYPE yyloc;
# endif

  /* When reducing, the number of symbols on the RHS of the reduced
     rule. */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;
#if YYLSP_NEEDED
  yylsp = yyls;
#endif
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;
  
 yysetstate:
  *yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack. Use copies of
	 these so that the &'s don't force the real ones into memory.
	 */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#if YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of the
	 data in use in that stack, in bytes.  */
# if YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow ("parser stack overflow",
		  &yyss1, size * sizeof (*yyssp),
		  &yyvs1, size * sizeof (*yyvsp),
		  &yyls1, size * sizeof (*yylsp),
		  &yystacksize);
# else
      yyoverflow ("parser stack overflow",
		  &yyss1, size * sizeof (*yyssp),
		  &yyvs1, size * sizeof (*yyvsp),
		  &yystacksize);
# endif

      yyss = yyss1; yyvs = yyvs1;
# if YYLSP_NEEDED
      yyls = yyls1;
# endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror ("parser stack overflow");
	  if (yyfree_stacks)
	    {
	      free (yyss);
	      free (yyvs);
# if YYLSP_NEEDED
	      free (yyls);
# endif
	    }
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
# ifndef YYSTACK_USE_ALLOCA
      yyfree_stacks = 1;
# endif
      yyss = (short *) YYSTACK_ALLOC (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss, (char *)yyss1,
		   size * (unsigned int) sizeof (*yyssp));
      yyvs = (YYSTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs, (char *)yyvs1,
		   size * (unsigned int) sizeof (*yyvsp));
# if YYLSP_NEEDED
      yyls = (YYLTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls, (char *)yyls1,
		   size * (unsigned int) sizeof (*yylsp));
# endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#if YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

      YYDPRINTF ((stderr, "Stack size increased to %d\n", yystacksize));

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yychar1 = YYTRANSLATE (yychar);

#if YYDEBUG
     /* We have to keep this `#if YYDEBUG', since we use variables
	which are defined only if `YYDEBUG' is set.  */
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise
	     meaning of a token, for further debugging info.  */
# ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
# endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */
  YYDPRINTF ((stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]));

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to the semantic value of
     the lookahead token.  This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

#if YYLSP_NEEDED
  /* Similarly for the default location.  Let the user run additional
     commands if for instance locations are ranges.  */
  yyloc = yylsp[1-yylen];
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
#endif

#if YYDEBUG
  /* We have to keep this `#if YYDEBUG', since we use variables which
     are defined only if `YYDEBUG' is set.  */
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif

  switch (yyn) {

case 3:
#line 228 "parser.y"
{
			/*
			 * We don't do these in parserEOF() because the parser
			 * is reading ahead and that would be too early.
			 */

			if (previousFile != NULL)
			{
				handleEOF();

				if (newContext.prevmod != NULL)
					handleEOM();

				free(previousFile);
				previousFile = NULL;
			}
	;
    break;}
case 15:
#line 257 "parser.y"
{
			if (isMainModule(currentModule))
				appendCodeBlock(&currentSpec -> hdrcode,yyvsp[0].codeb);
		;
    break;}
case 17:
#line 262 "parser.y"
{
			if (isMainModule(currentModule))
				appendCodeBlock(&currentSpec -> cppcode,yyvsp[0].codeb);
		;
    break;}
case 36:
#line 288 "parser.y"
{
			if (notSkipping())
			{
				yyvsp[0].memArg.nrderefs = 0;
				yyvsp[0].memArg.argflags = 0;

				currentMappedType = newMappedType(currentSpec,&yyvsp[0].memArg);
				usedInMainModule(currentSpec,currentMappedType -> iff);
			}
		;
    break;}
case 37:
#line 297 "parser.y"
{
			if (notSkipping())
			{
				if (currentMappedType -> convfromcode == NULL)
					yyerror("%MappedType must have a %ConvertFromTypeCode directive");

				if (currentMappedType -> convtocode == NULL)
					yyerror("%MappedType must have a %ConvertToTypeCode directive");

				currentMappedType = NULL;
			}
		;
    break;}
case 40:
#line 315 "parser.y"
{
			if (notSkipping())
				appendCodeBlock(&currentMappedType -> hdrcode,yyvsp[0].codeb);
		;
    break;}
case 41:
#line 319 "parser.y"
{
			if (notSkipping())
			{
				if (currentMappedType -> convfromcode != NULL)
					yyerror("%MappedType has more than one %ConvertFromTypeCode directive");

				currentMappedType -> convfromcode = yyvsp[0].codeb;
			}
		;
    break;}
case 42:
#line 328 "parser.y"
{
			if (notSkipping())
			{
				if (currentMappedType -> convtocode != NULL)
					yyerror("%MappedType has more than one %ConvertToTypeCode directive");

				currentMappedType -> convtocode = yyvsp[0].codeb;
			}
		;
    break;}
case 43:
#line 339 "parser.y"
{
			if (notSkipping())
			{
				classDef *ns;

				ns = newClass(currentSpec,namespace_iface,text2scopedName(yyvsp[0].text));
			
				setCannotCreate(ns);

				pushScope(ns);

				sectionFlags = 0;
			}
		;
    break;}
case 44:
#line 352 "parser.y"
{
			/* Remove the namespace name. */

			if (notSkipping())
				popScope();
		;
    break;}
case 47:
#line 364 "parser.y"
{
			qualDef *qd;

			for (qd = currentModule -> qualifiers; qd != NULL; qd = qd -> next)
				if (qd -> qtype == platform_qualifier)
					yyerror("%Platforms has already been defined for this module");
		;
    break;}
case 48:
#line 371 "parser.y"
{
			qualDef *qd;
			int nrneeded;

			/*
			 * Check that exactly one platform in the set was
			 * requested.
			 */

			nrneeded = 0;

			for (qd = currentModule -> qualifiers; qd != NULL; qd = qd -> next)
				if (qd -> qtype == platform_qualifier && isNeeded(qd))
					++nrneeded;

			if (nrneeded != 1)
				yyerror("Exactly one of these %Platforms must be specified with the -t flag");
		;
    break;}
case 51:
#line 395 "parser.y"
{
			newQualifier(currentSpec,currentModule,-1,yyvsp[0].text,platform_qualifier);
		;
    break;}
case 52:
#line 400 "parser.y"
{
			newQualifier(currentSpec,currentModule,-1,yyvsp[0].text,feature_qualifier);
		;
    break;}
case 53:
#line 405 "parser.y"
{
			if (currentModule -> nrTimeSlots >= 0)
				yyerror("%Timeline has already been defined for this module");

			currentModule -> nrTimeSlots = 0;
		;
    break;}
case 54:
#line 411 "parser.y"
{
			qualDef *qd;
			int nrneeded;

			/*
			 * Check that exactly one time slot in the set was
			 * requested.
			 */

			nrneeded = 0;

			for (qd = currentModule -> qualifiers; qd != NULL; qd = qd -> next)
				if (qd -> qtype == time_qualifier && isNeeded(qd))
					++nrneeded;

			if (nrneeded != 1)
				yyerror("Exactly one of this %Timeline must be specified with the -t flag");
		;
    break;}
case 57:
#line 435 "parser.y"
{
			newQualifier(currentSpec,currentModule,currentModule -> nrTimeSlots++,yyvsp[0].text,time_qualifier);
		;
    break;}
case 58:
#line 440 "parser.y"
{
			int skipNext;

			if (skipStackPtr >= MAX_NESTED_IF)
				yyerror("Internal error: increase the value of MAX_NESTED_IF");

			/* Nested %Ifs are implicit logical ands. */

			if (skipStackPtr > 0)
				yyvsp[-1].boolean = (yyvsp[-1].boolean && skipStack[skipStackPtr - 1]);

			skipStack[skipStackPtr++] = yyvsp[-1].boolean;
		;
    break;}
case 59:
#line 455 "parser.y"
{
			yyval.boolean = platOrFeature(currentSpec,yyvsp[0].text,FALSE);
		;
    break;}
case 60:
#line 458 "parser.y"
{
			yyval.boolean = platOrFeature(currentSpec,yyvsp[0].text,TRUE);
		;
    break;}
case 61:
#line 461 "parser.y"
{
			yyval.boolean = (platOrFeature(currentSpec,yyvsp[0].text,FALSE) || yyvsp[-2].boolean);
		;
    break;}
case 62:
#line 464 "parser.y"
{
			yyval.boolean = (platOrFeature(currentSpec,yyvsp[0].text,TRUE) || yyvsp[-3].boolean);
		;
    break;}
case 64:
#line 470 "parser.y"
{
			yyval.boolean = timePeriod(currentSpec,yyvsp[-2].text,yyvsp[0].text);
		;
    break;}
case 65:
#line 475 "parser.y"
{
			if (skipStackPtr-- <= 0)
				yyerror("Too many %End directives");
		;
    break;}
case 66:
#line 481 "parser.y"
{
			optFlag *of;

			if (yyvsp[0].optflags.nrFlags == 0)
				yyerror("%License details not specified");

			if ((of = findOptFlag(&yyvsp[0].optflags,"Type",string_flag)) == NULL)
				yyerror("%License type not specified");

			currentModule -> license = sipMalloc(sizeof (licenseDef));

			currentModule -> license -> type = of -> fvalue.sval;

			currentModule -> license -> licensee = 
				((of = findOptFlag(&yyvsp[0].optflags,"Licensee",string_flag)) != NULL)
					? of -> fvalue.sval : NULL;

			currentModule -> license -> timestamp = 
				((of = findOptFlag(&yyvsp[0].optflags,"Timestamp",string_flag)) != NULL)
					? of -> fvalue.sval : NULL;

			currentModule -> license -> sig = 
				((of = findOptFlag(&yyvsp[0].optflags,"Signature",string_flag)) != NULL)
					? of -> fvalue.sval : NULL;
		;
    break;}
case 67:
#line 508 "parser.y"
{
			/* Only bother if this is the main module. */

			if (isMainModule(currentModule))
			{
				expFuncDef *ef;

				/* Check it isn't already there. */

				for (ef = currentSpec -> exposed; ef != NULL; ef = ef -> next)
					if (strcmp(ef -> name,yyvsp[0].text) == 0)
						yyerror("Function has already been exposed in this module");

				ef = sipMalloc(sizeof (expFuncDef));

				ef -> name = yyvsp[0].text;
				ef -> next = currentSpec -> exposed;

				currentSpec -> exposed = ef;
			}
		;
    break;}
case 68:
#line 531 "parser.y"
{
			/* Check the module hasn't already been defined. */

			moduleDef *mod;

			for (mod = currentSpec -> moduleList; mod != NULL; mod = mod -> next)
				if (mod -> name != NULL && strcmp(mod -> name,yyvsp[-1].text) == 0)
					yyerror("Module is already defined");

			currentModule -> name = yyvsp[-1].text;
		;
    break;}
case 69:
#line 544 "parser.y"
{
			yyval.number = -1;
		;
    break;}
case 71:
#line 550 "parser.y"
{
			parseFile(NULL,yyvsp[0].text,NULL,FALSE);
		;
    break;}
case 72:
#line 555 "parser.y"
{
			parseFile(NULL,yyvsp[0].text,NULL,TRUE);
		;
    break;}
case 73:
#line 560 "parser.y"
{
			newImport(currentSpec,yyvsp[0].text);
		;
    break;}
case 74:
#line 565 "parser.y"
{
			yyval.codeb = NULL;
		;
    break;}
case 75:
#line 568 "parser.y"
{
			yyval.codeb = yyvsp[0].codeb;
		;
    break;}
case 76:
#line 573 "parser.y"
{
			if (isMainModule(currentModule))
				appendCodeBlock(&currentSpec -> copying,yyvsp[0].codeb);
		;
    break;}
case 77:
#line 579 "parser.y"
{
			yyval.codeb = yyvsp[0].codeb;
		;
    break;}
case 78:
#line 584 "parser.y"
{
			appendCodeBlock(&currentSpec -> exphdrcode,yyvsp[0].codeb);
		;
    break;}
case 79:
#line 589 "parser.y"
{
			yyval.codeb = yyvsp[0].codeb;
		;
    break;}
case 80:
#line 594 "parser.y"
{
			if (isMainModule(currentModule))
				appendCodeBlock(&currentSpec -> postinitcode,yyvsp[0].codeb);
		;
    break;}
case 81:
#line 600 "parser.y"
{
			if (isMainModule(currentModule))
				appendCodeBlock(&currentSpec -> prepycode,yyvsp[0].codeb);
		;
    break;}
case 82:
#line 606 "parser.y"
{
			if (isMainModule(currentModule))
				appendCodeBlock(&currentSpec -> pycode,yyvsp[0].codeb);
		;
    break;}
case 83:
#line 612 "parser.y"
{
			if (isMainModule(currentModule))
				appendCodeBlock(&currentSpec -> docs,yyvsp[0].codeb);
		;
    break;}
case 84:
#line 618 "parser.y"
{
			appendCodeBlock(&currentSpec -> docs,yyvsp[0].codeb);
		;
    break;}
case 85:
#line 623 "parser.y"
{
			if (isMainModule(currentModule))
			{
				mkTemplateDef *mtd;

				mtd = sipMalloc(sizeof (mkTemplateDef));

				mtd -> name = yyvsp[-2].text;

				if ((mtd -> objext = yyvsp[-1].text) == NULL)
					mtd -> objext = DEFAULT_OFILE_EXT;

				mtd -> templ = NULL;

				appendCodeBlock(&mtd -> templ,yyvsp[0].codeb);

				mtd -> next = currentSpec -> mktemplates;
				currentSpec -> mktemplates = mtd;
			}
		;
    break;}
case 87:
#line 648 "parser.y"
{
			if (notSkipping())
			{
				if (sectionFlags != 0 && (sectionFlags & ~(SECT_IS_PUBLIC | SECT_IS_PROT)) != 0)
					yyerror("Class enums must be in the public or protected sections");

				currentEnum = newEnum(currentSpec,currentModule,yyvsp[0].text,sectionFlags);
			}
		;
    break;}
case 89:
#line 659 "parser.y"
{
			yyval.text = NULL;
		;
    break;}
case 90:
#line 662 "parser.y"
{
			yyval.text = yyvsp[0].text;
		;
    break;}
case 91:
#line 667 "parser.y"
{
			yyval.text = NULL;
		;
    break;}
case 92:
#line 670 "parser.y"
{
			yyval.text = yyvsp[0].text;
		;
    break;}
case 97:
#line 681 "parser.y"
{
			if (notSkipping())
			{
				/*
				 * Note that we don't use the assigned value.
				 * This is a hangover from when enums where
				 * generated in Python.  We can remove it when
				 * we have got around to updating all the .sip
				 * files.
				 */

				enumValueDef *evd;

				evd = sipMalloc(sizeof (enumValueDef));

				evd -> name = cacheName(currentSpec,currentModule,yyvsp[-2].text);
				evd -> ed = currentEnum;

				checkAttributes(currentSpec,evd -> ed -> ecd,evd -> name,enum_attr);

				evd -> next = currentEnum -> values;
				currentEnum -> values = evd;

			}
		;
    break;}
case 100:
#line 712 "parser.y"
{
			yyval.valp = NULL;
		;
    break;}
case 101:
#line 715 "parser.y"
{
			yyval.valp = yyvsp[0].valp;
		;
    break;}
case 103:
#line 721 "parser.y"
{
			valueDef *vd;
 
			if (yyvsp[-2].valp -> vtype == string_value || yyvsp[0].valp -> vtype == string_value)
				yyerror("Invalid binary operator for string");
 
			/* Find the last value in the existing expression. */
 
			for (vd = yyvsp[-2].valp; vd -> next != NULL; vd = vd -> next)
				;
 
			vd -> vbinop = yyvsp[-1].qchar;
			vd -> next = yyvsp[0].valp;

			yyval.valp = yyvsp[-2].valp;
		;
    break;}
case 104:
#line 739 "parser.y"
{
			yyval.qchar = '-';
		;
    break;}
case 105:
#line 742 "parser.y"
{
			yyval.qchar = '+';
		;
    break;}
case 106:
#line 745 "parser.y"
{
			yyval.qchar = '|';
		;
    break;}
case 107:
#line 750 "parser.y"
{
			yyval.qchar = '\0';
		;
    break;}
case 108:
#line 753 "parser.y"
{
			yyval.qchar = '!';
		;
    break;}
case 109:
#line 756 "parser.y"
{
			yyval.qchar = '~';
		;
    break;}
case 110:
#line 759 "parser.y"
{
			yyval.qchar = '-';
		;
    break;}
case 111:
#line 762 "parser.y"
{
			yyval.qchar = '+';
		;
    break;}
case 112:
#line 767 "parser.y"
{
			if (yyvsp[-1].qchar != '\0' && yyvsp[0].value.vtype == string_value)
				yyerror("Invalid unary operator for string");
 
			/*
			 * Convert the value to a simple expression on the
			 * heap.
			 */
 
			yyval.valp = sipMalloc(sizeof (valueDef));
 
			*yyval.valp = yyvsp[0].value;
			yyval.valp -> vunop = yyvsp[-1].qchar;
			yyval.valp -> vbinop = '\0';
			yyval.valp -> next = NULL;
		;
    break;}
case 114:
#line 786 "parser.y"
{
			appendScopedName(&yyvsp[-2].scpvalp,yyvsp[0].scpvalp);
		;
    break;}
case 115:
#line 791 "parser.y"
{
			yyval.scpvalp = text2scopePart(yyvsp[0].text);
		;
    break;}
case 116:
#line 796 "parser.y"
{
			/*
			 * We let the C++ compiler decide if the value is a
			 * valid one - no point in building a full C++ parser
			 * here.
			 */

			yyval.value.vtype = scoped_value;
			yyval.value.u.vscp = yyvsp[0].scpvalp;
		;
    break;}
case 117:
#line 806 "parser.y"
{
			fcallDef *fcd;

			fcd = sipMalloc(sizeof (fcallDef));
			*fcd = yyvsp[-1].fcall;
			fcd -> name = yyvsp[-3].scpvalp;

			yyval.value.vtype = fcall_value;
			yyval.value.u.fcd = fcd;
		;
    break;}
case 118:
#line 816 "parser.y"
{
			yyval.value.vtype = real_value;
			yyval.value.u.vreal = yyvsp[0].real;
		;
    break;}
case 119:
#line 820 "parser.y"
{
			yyval.value.vtype = numeric_value;
			yyval.value.u.vnum = yyvsp[0].number;
		;
    break;}
case 120:
#line 824 "parser.y"
{
			yyval.value.vtype = string_value;
			yyval.value.u.vstr = yyvsp[0].text;
		;
    break;}
case 121:
#line 828 "parser.y"
{
			yyval.value.vtype = qchar_value;
			yyval.value.u.vqchar = yyvsp[0].qchar;
		;
    break;}
case 122:
#line 834 "parser.y"
{
			/* No values. */

			yyval.fcall.nrArgs = 0;
		;
    break;}
case 123:
#line 839 "parser.y"
{
			/* The single or first value. */

			yyval.fcall.args[0] = yyvsp[0].valp;
			yyval.fcall.nrArgs = 1;
		;
    break;}
case 124:
#line 845 "parser.y"
{
			/* Check that it wasn't ...(,value...). */

			if (yyval.fcall.nrArgs == 0)
				yyerror("First argument to function call is missing");

			/* Check there is room. */

			if (yyvsp[-2].fcall.nrArgs == MAX_NR_ARGS)
				yyerror("Too many arguments to function call");

			yyval.fcall = yyvsp[-2].fcall;

			yyval.fcall.args[yyval.fcall.nrArgs] = yyvsp[0].valp;
			yyval.fcall.nrArgs++;
		;
    break;}
case 125:
#line 863 "parser.y"
{
			if (notSkipping())
				newTypedef(currentSpec,yyvsp[-1].text,&yyvsp[-2].memArg);
		;
    break;}
case 126:
#line 869 "parser.y"
{
			if (notSkipping())
			{
				classDef *cd;

				cd = newClass(currentSpec,class_iface,yyvsp[-1].scpvalp);

				usedInMainModule(currentSpec,cd -> iff);
				setCannotCreate(cd);
				setIsOpaque(cd);
			}
		;
    break;}
case 127:
#line 883 "parser.y"
{
			if (notSkipping())
			{
				classDef *cd;

				cd = newClass(currentSpec,class_iface,text2scopedName(yyvsp[0].text));

				usedInMainModule(currentSpec,cd -> iff);
				setCannotCreate(cd);

				pushScope(cd);

				sectionFlags = SECT_IS_PUBLIC;
			}
		;
    break;}
case 128:
#line 897 "parser.y"
{
			if (notSkipping())
			{
				finishClass(currentScope(),&yyvsp[-4].optflags);
				popScope();
			}
		;
    break;}
case 129:
#line 906 "parser.y"
{
			if (notSkipping())
			{
				classDef *cd;

				cd = newClass(currentSpec,class_iface,text2scopedName(yyvsp[0].text));

				usedInMainModule(currentSpec,cd -> iff);
				setCannotCreate(cd);

				pushScope(cd);

				sectionFlags = SECT_IS_PRIVATE;
			}
		;
    break;}
case 130:
#line 920 "parser.y"
{
			if (notSkipping())
			{
				finishClass(currentScope(),&yyvsp[-4].optflags);
				popScope();
			}
		;
    break;}
case 135:
#line 937 "parser.y"
{
			if (notSkipping())
			{
				classDef *cd, *super;

				cd = currentScope();

				super = findClass(currentSpec,class_iface,yyvsp[0].scpvalp);

				appendToClassList(&cd -> supers,super);
				addToUsedList(&cd -> iff -> used,super -> iff);
			}
		;
    break;}
case 145:
#line 963 "parser.y"
{
			if (notSkipping())
				appendCodeBlock(&currentScope() -> cppcode,yyvsp[0].codeb);
		;
    break;}
case 146:
#line 967 "parser.y"
{
			if (notSkipping())
				appendCodeBlock(&currentScope() -> hdrcode,yyvsp[0].codeb);
		;
    break;}
case 150:
#line 974 "parser.y"
{
			if (notSkipping())
			{
				classDef *cd = currentScope();

				if (cd -> convtosubcode != NULL)
					yyerror("Class has more than one %ConvertToSubClassCode directive");

				cd -> convtosubcode = yyvsp[0].codeb;
			}
		;
    break;}
case 151:
#line 985 "parser.y"
{
			if (notSkipping())
			{
				classDef *cd = currentScope();

				if (cd -> convtocode != NULL)
					yyerror("Class has more than one %ConvertToTypeCode directive");

				cd -> convtocode = yyvsp[0].codeb;
			}
		;
    break;}
case 152:
#line 996 "parser.y"
{
			if (notSkipping())
				sectionFlags = SECT_IS_PUBLIC | yyvsp[-1].number;
		;
    break;}
case 153:
#line 1000 "parser.y"
{
			if (notSkipping())
				sectionFlags = SECT_IS_PROT | yyvsp[-1].number;
		;
    break;}
case 154:
#line 1004 "parser.y"
{
			if (notSkipping())
				sectionFlags = SECT_IS_PRIVATE | yyvsp[-1].number;
		;
    break;}
case 155:
#line 1008 "parser.y"
{
			if (notSkipping())
				sectionFlags = SECT_IS_SIGNAL;
		;
    break;}
case 156:
#line 1014 "parser.y"
{
			yyval.number = 0;
		;
    break;}
case 157:
#line 1017 "parser.y"
{
			yyval.number = SECT_IS_SLOT;
		;
    break;}
case 158:
#line 1022 "parser.y"
{
			if (notSkipping())
			{
				classDef *cd = currentScope();

				if (strcmp(classBaseName(cd),yyvsp[-4].text) != 0)
					yyerror("Destructor doesn't have the same name as its class");

				if (isDtor(cd))
					yyerror("Destructor has already been defined");

				cd -> dtorcode = yyvsp[0].codeb;
				setIsDtor(cd);

				if ((sectionFlags & SECT_IS_PUBLIC) == 0)
					setNoPublicDtor(cd);
			}
		;
    break;}
case 159:
#line 1042 "parser.y"
{
			if (notSkipping())
			{
				if ((sectionFlags & (SECT_IS_PUBLIC | SECT_IS_PROT | SECT_IS_PRIVATE)) == 0)
					yyerror("Constructor must be in the public, private or protected sections");

				newCtor(yyvsp[-6].text,sectionFlags,&yyvsp[-4].arglist,yyvsp[0].codeb);
			}

			free(yyvsp[-6].text);
		;
    break;}
case 160:
#line 1055 "parser.y"
{
			if (notSkipping())
			{
				if (sectionFlags != 0 && (sectionFlags & (SECT_IS_PUBLIC | SECT_IS_PROT | SECT_IS_PRIVATE | SECT_IS_SLOT | SECT_IS_SIGNAL)) == 0)
					yyerror("Class function must be in the public, private, protected, slot or signal sections");

				newFunction(currentSpec,currentModule,
					    sectionFlags,currentIsStatic,
					    currentOverIsVirt,
					    &yyvsp[-10].memArg,yyvsp[-9].text,&yyvsp[-7].arglist,yyvsp[-5].number,yyvsp[-4].number,&yyvsp[-3].optflags,yyvsp[-1].codeb,yyvsp[0].codeb);
			}

			currentIsStatic = FALSE;
			currentOverIsVirt = FALSE;
		;
    break;}
case 161:
#line 1073 "parser.y"
{
			yyval.number = FALSE;
		;
    break;}
case 162:
#line 1076 "parser.y"
{
			yyval.number = TRUE;
		;
    break;}
case 163:
#line 1081 "parser.y"
{
			yyval.number = 0;
		;
    break;}
case 164:
#line 1084 "parser.y"
{
			if (yyvsp[0].number != 0)
				yyerror("Abstract virtual function '= 0' expected");

			yyval.number = TRUE;
		;
    break;}
case 165:
#line 1092 "parser.y"
{
			yyval.optflags.nrFlags = 0;
		;
    break;}
case 166:
#line 1095 "parser.y"
{
			yyval.optflags = yyvsp[-1].optflags;
		;
    break;}
case 167:
#line 1101 "parser.y"
{
			yyval.optflags.flags[0] = yyvsp[0].flag;
			yyval.optflags.nrFlags = 1;
		;
    break;}
case 168:
#line 1105 "parser.y"
{
			/* Check there is room. */

			if (yyvsp[-2].optflags.nrFlags == MAX_NR_FLAGS)
				yyerror("Too many optional flags");

			yyval.optflags = yyvsp[-2].optflags;

			yyval.optflags.flags[yyval.optflags.nrFlags++] = yyvsp[0].flag;
		;
    break;}
case 169:
#line 1117 "parser.y"
{
			yyval.flag.ftype = bool_flag;
			yyval.flag.fname = yyvsp[0].text;
		;
    break;}
case 170:
#line 1121 "parser.y"
{
			yyval.flag = yyvsp[0].flag;
			yyval.flag.fname = yyvsp[-2].text;
		;
    break;}
case 171:
#line 1127 "parser.y"
{
			yyval.flag.ftype = name_flag;
			yyval.flag.fvalue.sval = yyvsp[0].text;
		;
    break;}
case 172:
#line 1131 "parser.y"
{
			yyval.flag.ftype = string_flag;
			yyval.flag.fvalue.sval = yyvsp[0].text;
		;
    break;}
case 173:
#line 1135 "parser.y"
{
			yyval.flag.ftype = integer_flag;
			yyval.flag.fvalue.ival = yyvsp[0].number;
		;
    break;}
case 174:
#line 1141 "parser.y"
{
			yyval.codeb = NULL;
		;
    break;}
case 175:
#line 1144 "parser.y"
{
			yyval.codeb = yyvsp[0].codeb;
		;
    break;}
case 176:
#line 1149 "parser.y"
{
			yyval.codeb = NULL;
		;
    break;}
case 177:
#line 1152 "parser.y"
{
			yyval.codeb = yyvsp[0].codeb;
		;
    break;}
case 178:
#line 1157 "parser.y"
{
			int a, nrsigs, nrrxcon, nrrxdis, nrslotcon, nrslotdis, nrarray, nrarraysize;

			nrsigs = nrrxcon = nrrxdis = nrslotcon = nrslotdis = nrarray = nrarraysize = 0;

			for (a = 0; a < yyvsp[0].arglist.nrArgs; ++a)
			{
				argDef *ad = &yyvsp[0].arglist.args[a];

				switch (ad -> atype)
				{
				case signal_type:
					++nrsigs;
					break;

				case rxcon_type:
					++nrrxcon;
					break;

				case rxdis_type:
					++nrrxdis;
					break;

				case slotcon_type:
					++nrslotcon;
					break;

				case slotdis_type:
					++nrslotdis;
					break;
				}

				if (isArray(ad))
					++nrarray;

				if (isArraySize(ad))
					++nrarraysize;
			}

			if (nrsigs == 1 && nrrxcon == 0)
				yyerror("SIP_SIGNAL can only be used with SIP_RXOBJ_CON");

			if (nrsigs > 1)
				yyerror("SIP_SIGNAL can only be given once");

			if (nrrxcon != nrslotcon || nrrxcon > 1)
				yyerror("SIP_RXOBJ_CON and SIP_SLOT_CON must both be given and at most once");

			if (nrrxdis != nrslotdis || nrrxdis > 1)
				yyerror("SIP_RXOBJ_DIS and SIP_SLOT_DIS must both be given and at most once");

			if (nrarray != nrarraysize || nrarray > 1)
				yyerror("/Array/ and /ArraySize/ must both be given and at most once");

			yyval.arglist = yyvsp[0].arglist;
		;
    break;}
case 179:
#line 1215 "parser.y"
{
			/* No arguments. */

			yyval.arglist.nrArgs = 0;
		;
    break;}
case 180:
#line 1220 "parser.y"
{
			/* The single or first argument. */

			yyval.arglist.args[0] = yyvsp[0].memArg;
			yyval.arglist.nrArgs = 1;
		;
    break;}
case 181:
#line 1226 "parser.y"
{
			/* Check that it wasn't ...(,arg...). */

			if (yyval.arglist.nrArgs == 0)
				yyerror("First argument of list is missing");

			/*
			 * If this argument has no default value, then all
			 * previous ones mustn't either.
			 */

			if (yyvsp[0].memArg.defval == NULL)
			{
				int a;

				for (a = 0; a < yyvsp[-2].arglist.nrArgs; ++a)
					if (yyvsp[-2].arglist.args[a].defval != NULL)
						yyerror("Compulsory argument given after optional argument");
			}

			/* Check there is room. */

			if (yyvsp[-2].arglist.nrArgs == MAX_NR_ARGS)
				yyerror("Internal error - increase the value of MAX_NR_ARGS");

			yyval.arglist = yyvsp[-2].arglist;

			yyval.arglist.args[yyval.arglist.nrArgs] = yyvsp[0].memArg;
			yyval.arglist.nrArgs++;
		;
    break;}
case 182:
#line 1258 "parser.y"
{
			yyval.memArg.atype = signal_type;
			yyval.memArg.argflags = 0;
			yyval.memArg.nrderefs = 0;

			currentSpec -> sigslots = TRUE;
		;
    break;}
case 183:
#line 1265 "parser.y"
{
			yyval.memArg.atype = rxcon_type;
			yyval.memArg.argflags = 0;
			yyval.memArg.nrderefs = 0;

			currentSpec -> sigslots = TRUE;
		;
    break;}
case 184:
#line 1272 "parser.y"
{
			yyval.memArg.atype = rxdis_type;
			yyval.memArg.argflags = 0;
			yyval.memArg.nrderefs = 0;

			currentSpec -> sigslots = TRUE;
		;
    break;}
case 185:
#line 1279 "parser.y"
{
			yyval.memArg.atype = slotcon_type;
			yyval.memArg.argflags = 0;
			yyval.memArg.nrderefs = 0;

			yyval.memArg.u.sa = sipMalloc(sizeof (funcArgs));
			*yyval.memArg.u.sa = yyvsp[-1].arglist;

			currentSpec -> sigslots = TRUE;
		;
    break;}
case 186:
#line 1289 "parser.y"
{
			yyval.memArg.atype = slotdis_type;
			yyval.memArg.argflags = 0;
			yyval.memArg.nrderefs = 0;

			yyval.memArg.u.sa = sipMalloc(sizeof (funcArgs));
			*yyval.memArg.u.sa = yyvsp[-1].arglist;

			currentSpec -> sigslots = TRUE;
		;
    break;}
case 187:
#line 1299 "parser.y"
{
			yyval.memArg = yyvsp[-1].memArg;
			yyval.memArg.defval = yyvsp[0].valp;
		;
    break;}
case 188:
#line 1305 "parser.y"
{currentIsStatic = TRUE;;
    break;}
case 193:
#line 1313 "parser.y"
{currentOverIsVirt = TRUE;;
    break;}
case 196:
#line 1317 "parser.y"
{
			if (notSkipping())
			{
				/* Check the section. */

				if (sectionFlags != 0)
				{
					if ((sectionFlags & SECT_IS_PUBLIC) == 0)
						yyerror("Class variables must be in the public section");

					if (!currentIsStatic && yyvsp[0].codeb != NULL)
						yyerror("%VariableCode cannot be specified for non-static class variables");
				}

				newVar(currentSpec,currentModule,yyvsp[-2].text,currentIsStatic,&yyvsp[-3].memArg,yyvsp[0].codeb);
			}

			currentIsStatic = FALSE;
		;
    break;}
case 197:
#line 1338 "parser.y"
{
			yyval.memArg = yyvsp[-2].memArg;
			yyval.memArg.nrderefs = yyvsp[-1].number;
			yyval.memArg.argflags = ARG_IS_CONST | yyvsp[0].number;
		;
    break;}
case 198:
#line 1343 "parser.y"
{
			yyval.memArg = yyvsp[-2].memArg;
			yyval.memArg.nrderefs = yyvsp[-1].number;
			yyval.memArg.argflags = yyvsp[0].number;
		;
    break;}
case 199:
#line 1350 "parser.y"
{
			yyval.memArg = yyvsp[-1].memArg;

			if (findOptFlag(&yyvsp[0].optflags,"Array",bool_flag) != NULL)
				yyval.memArg.argflags |= ARG_ARRAY;

			if (findOptFlag(&yyvsp[0].optflags,"ArraySize",bool_flag) != NULL)
				yyval.memArg.argflags |= ARG_ARRAY_SIZE;

			if (findOptFlag(&yyvsp[0].optflags,"Transfer",bool_flag) != NULL)
				yyval.memArg.argflags |= ARG_XFERRED;

			if (findOptFlag(&yyvsp[0].optflags,"TransferThis",bool_flag) != NULL)
				yyval.memArg.argflags |= ARG_THIS_XFERRED;

			if (findOptFlag(&yyvsp[0].optflags,"TransferBack",bool_flag) != NULL)
				yyval.memArg.argflags |= ARG_XFERRED_BACK;

			if (findOptFlag(&yyvsp[0].optflags,"Constrained",bool_flag) != NULL)
			{
				switch (yyval.memArg.atype)
				{
				case int_type:
					yyval.memArg.atype = cint_type;
					break;

				case float_type:
					yyval.memArg.atype = cfloat_type;
					break;

				case double_type:
					yyval.memArg.atype = cdouble_type;
					break;

				default:
					yyerror("/Constrained/ may not be specified for this type");
				}
			}
		;
    break;}
case 200:
#line 1391 "parser.y"
{
			yyval.number = 0;
		;
    break;}
case 201:
#line 1394 "parser.y"
{
			yyval.number = ARG_IS_REF;
		;
    break;}
case 202:
#line 1399 "parser.y"
{
			yyval.number = 0;
		;
    break;}
case 203:
#line 1402 "parser.y"
{
			yyval.number = yyvsp[-1].number + 1;
		;
    break;}
case 204:
#line 1407 "parser.y"
{
			yyval.memArg.atype = defined_type;
			yyval.memArg.u.snd = yyvsp[0].scpvalp;
		;
    break;}
case 205:
#line 1411 "parser.y"
{
			templateDef *td;

			td = sipMalloc(sizeof(templateDef));
			td -> fqname = yyvsp[-3].scpvalp;
			td -> types = yyvsp[-1].arglist;

			yyval.memArg.atype = template_type;
			yyval.memArg.u.td = td;
		;
    break;}
case 206:
#line 1421 "parser.y"
{
			yyval.memArg.atype = struct_type;
			yyval.memArg.u.sname = yyvsp[0].scpvalp;
		;
    break;}
case 207:
#line 1425 "parser.y"
{
			yyval.memArg.atype = ushort_type;
		;
    break;}
case 208:
#line 1428 "parser.y"
{
			yyval.memArg.atype = short_type;
		;
    break;}
case 209:
#line 1431 "parser.y"
{
			yyval.memArg.atype = uint_type;
		;
    break;}
case 210:
#line 1434 "parser.y"
{
			yyval.memArg.atype = uint_type;
		;
    break;}
case 211:
#line 1437 "parser.y"
{
			yyval.memArg.atype = int_type;
		;
    break;}
case 212:
#line 1440 "parser.y"
{
			yyval.memArg.atype = long_type;
		;
    break;}
case 213:
#line 1443 "parser.y"
{
			yyval.memArg.atype = ulong_type;
		;
    break;}
case 214:
#line 1446 "parser.y"
{
			yyval.memArg.atype = float_type;
		;
    break;}
case 215:
#line 1449 "parser.y"
{
			yyval.memArg.atype = double_type;
		;
    break;}
case 216:
#line 1452 "parser.y"
{
			yyval.memArg.atype = bool_type;
		;
    break;}
case 217:
#line 1455 "parser.y"
{
			yyval.memArg.atype = ustring_type;
		;
    break;}
case 218:
#line 1458 "parser.y"
{
			yyval.memArg.atype = string_type;
		;
    break;}
case 219:
#line 1461 "parser.y"
{
			yyval.memArg.atype = voidptr_type;
		;
    break;}
case 220:
#line 1464 "parser.y"
{
			yyval.memArg.atype = pyobject_type;
		;
    break;}
case 221:
#line 1469 "parser.y"
{
			/* The single or first type. */

			yyval.arglist.args[0] = yyvsp[0].memArg;
			yyval.arglist.nrArgs = 1;
		;
    break;}
case 222:
#line 1475 "parser.y"
{
			/* Check that it wasn't ,type... */

			if (yyval.arglist.nrArgs == 0)
				yyerror("First type of list is missing");

			/* Check there is room. */

			if (yyvsp[-2].arglist.nrArgs == MAX_NR_ARGS)
				yyerror("Internal error - increase the value of MAX_NR_ARGS");

			yyval.arglist = yyvsp[-2].arglist;

			yyval.arglist.args[yyval.arglist.nrArgs] = yyvsp[0].memArg;
			yyval.arglist.nrArgs++;
		;
    break;}
}

#line 606 "/usr/share/bison/bison.simple"


  yyvsp -= yylen;
  yyssp -= yylen;
#if YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;
#if YYLSP_NEEDED
  *++yylsp = yyloc;
#endif

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (int) (sizeof (yytname) / sizeof (char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen (yytname[x]) + 15, count++;
	  size += strlen ("parse error, unexpected `") + 1;
	  size += strlen (yytname[YYTRANSLATE (yychar)]);
	  msg = (char *) malloc (size);
	  if (msg != 0)
	    {
	      strcpy (msg, "parse error, unexpected `");
	      strcat (msg, yytname[YYTRANSLATE (yychar)]);
	      strcat (msg, "'");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (int) (sizeof (yytname) / sizeof (char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat (msg, count == 0 ? ", expecting `" : " or `");
			strcat (msg, yytname[x]);
			strcat (msg, "'");
			count++;
		      }
		}
	      yyerror (msg);
	      free (msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror ("parse error");
    }
  goto yyerrlab1;


/*--------------------------------------------------.
| yyerrlab1 -- error raised explicitly by an action |
`--------------------------------------------------*/
yyerrlab1:
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;
      YYDPRINTF ((stderr, "Discarding token %d (%s).\n",
		  yychar, yytname[yychar1]));
      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;


/*-------------------------------------------------------------------.
| yyerrdefault -- current state does not do anything special for the |
| error token.                                                       |
`-------------------------------------------------------------------*/
yyerrdefault:
#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */

  /* If its default is to accept any token, ok.  Otherwise pop it.  */
  yyn = yydefact[yystate];
  if (yyn)
    goto yydefault;
#endif


/*---------------------------------------------------------------.
| yyerrpop -- pop the current state because it cannot handle the |
| error token                                                    |
`---------------------------------------------------------------*/
yyerrpop:
  if (yyssp == yyss)
    YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#if YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

/*--------------.
| yyerrhandle.  |
`--------------*/
yyerrhandle:
  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

  YYDPRINTF ((stderr, "Shifting error token, "));

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#if YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 0;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#if YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 1;
}
#line 1493 "parser.y"



/*
 * Parse the specification.
 */

void parse(sipSpec *spec,FILE *fp,char *filename,char *cppMName,
	   stringList *tsl,stringList *xfl)
{
        /* Initialise the spec. */
 
	spec -> cppmname = cppMName;
	spec -> namecache = NULL;
	spec -> moduleList = NULL;
	spec -> ifacefiles = NULL;
	spec -> classes = NULL;
	spec -> mappedtypes = NULL;
	spec -> used = NULL;
	spec -> qobjclass = -1;
	spec -> exposed = NULL;
	spec -> enums = NULL;
	spec -> vars = NULL;
	spec -> othfuncs = NULL;
	spec -> overs = NULL;
	spec -> typedefs = NULL;
	spec -> copying = NULL;
	spec -> hdrcode = NULL;
	spec -> exphdrcode = NULL;
	spec -> cppcode = NULL;
	spec -> prepycode = NULL;
	spec -> pycode = NULL;
	spec -> docs = NULL;
	spec -> postinitcode = NULL;
	spec -> mktemplates = NULL;
	spec -> sigargs = NULL;
	spec -> sigslots = FALSE;

	currentSpec = spec;
	neededQualifiers = tsl;
	excludedQualifiers = xfl;
	currentModule = NULL;
	currentMappedType = NULL;
	currentOverIsVirt = FALSE;
	currentIsStatic = FALSE;
	previousFile = NULL;
	skipStackPtr = 0;
	currentScopeIdx = 0;
	sectionFlags = 0;

	newModule(fp,filename);
	spec -> module = currentModule;

	yyparse();

	handleEOF();
	handleEOM();
}


/*
 * Tell the parser that a complete file has now been read.
 */

void parserEOF(char *name,parserContext *pc)
{
	previousFile = sipStrdup(name);
	newContext = *pc;
}


/*
 * Append a class definition to a class list.  Append is needed specifically
 * for the list of super-classes because the order is important to Python.
 */

void appendToClassList(classList **clp,classDef *cd)
{
	classList *new;

	/* Find the end of the list. */

	while (*clp != NULL)
		clp = &(*clp) -> next;

	new = sipMalloc(sizeof (classList));

	new -> cd = cd;
	new -> next = NULL;

	*clp = new;
}


/*
 * Create a new module for the current specification and make it current.
 */

static void newModule(FILE *fp,char *filename)
{
	parseFile(fp,filename,currentModule,FALSE);

	currentModule = sipMalloc(sizeof (moduleDef));

	currentModule -> name = NULL;
	currentModule -> file = filename;
	currentModule -> qualifiers = NULL;
	currentModule -> nrTimeSlots = -1;
	currentModule -> license = NULL;
	currentModule -> next = currentSpec -> moduleList;

	currentSpec -> moduleList = currentModule;
}


/*
 * Switch to parsing a new file.
 */

static void parseFile(FILE *fp,char *name,moduleDef *prevmod,int optional)
{
	parserContext pc;

	pc.ifdepth = skipStackPtr;
	pc.prevmod = prevmod;

	setInputFile(fp,name,&pc,optional);
}


/*
 * Find an interface file, or create a new one.
 */

static ifaceFileDef *findIfaceFile(sipSpec *pt,scopedNameDef *fqname,
				   ifaceFileType iftype,argDef *ad)
{
	ifaceFileDef *iff;

	/* See if the name is already used. */

	for (iff = pt -> ifacefiles; iff != NULL; iff = iff -> next)
	{
		if (!sameScopedName(iff -> fqname,fqname))
			continue;

		/* They must be the same type. */

		if (iff -> type != iftype)
			yyerror("A class, namespace or mapped type has already been defined with the same name");

		/*
		 * If this is a mapped type with the same name defined in a
		 * different module, then check that this type isn't the same
		 * as any of the mapped types defined in that module.
		 */

		if (iftype == mappedtype_iface && iff -> module != currentModule)
		{
			mappedTypeDef *mtd;

			for (mtd = pt -> mappedtypes; mtd != NULL; mtd = mtd -> next)
			{
				if (mtd -> iff != iff)
					continue;

				if (ad -> atype != template_type ||
				    mtd -> type.atype != template_type ||
				    sameBaseType(ad,&mtd -> type,TRUE))
					yyerror("Mapped type has already been defined in another module");
			}

			/*
			 * If we got here then we have a mapped type based on
			 * an existing template, but with unique parameters.
			 * We don't want to use interface files from other
			 * modules, so skip this one.
			 */

			continue;
		}

		return iff;
	}

	iff = sipMalloc(sizeof (ifaceFileDef));

	iff -> name = cacheName(pt,currentModule,scopedNameTail(fqname));
	iff -> type = iftype;
	iff -> fqname = fqname;
	iff -> module = NULL;
	iff -> ifacefileflags = 0;
	iff -> used = NULL;
	iff -> next = pt -> ifacefiles;

	pt -> ifacefiles = iff;

	return iff;
}


/*
 * Find a class definition in a parse tree.
 */

static classDef *findClass(sipSpec *pt,ifaceFileType iftype,
			   scopedNameDef *fqname)
{
	classDef *cd;
	ifaceFileDef *iff;

	/* See if the name is already used. */

	iff = findIfaceFile(pt,fqname,iftype,NULL);

	for (cd = pt -> classes; cd != NULL; cd = cd -> next)
		if (cd -> iff == iff)
			return cd;

	/* Create a new one. */

	cd = sipMalloc(sizeof (classDef));

	cd -> iff = iff;
	cd -> next = pt -> classes;

	pt -> classes = cd;

	return cd;
}


/*
 * Add an interface file to an interface file list if it isn't already there.
 */

void addToUsedList(ifaceFileList **ifflp,ifaceFileDef *iff)
{
	ifaceFileList *iffl;

	while ((iffl = *ifflp) != NULL)
	{
		/* Don't bother if it is already there. */

		if (iffl -> iff == iff)
			return;

		ifflp = &iffl -> next;
	}

	setIsUsed(iff);

	iffl = sipMalloc(sizeof (ifaceFileList));

	iffl -> iff = iff;
	iffl -> next = NULL;

	*ifflp = iffl;
}


/*
 * Find an undefined (or create a new) class definition in a parse tree.
 */

static classDef *newClass(sipSpec *pt,ifaceFileType iftype,scopedNameDef *fqname)
{
	classDef *cd;

	cd = findClass(pt,iftype,fqname);

	/* Check it hasn't already been defined. */

	if (cd -> iff -> module != NULL)
	{
		/*
		 * Namespaces can be defined any number of times in the same
		 * module.
		 */

		if (iftype == namespace_iface && cd -> iff -> module == currentModule)
			return cd;

		yyerror(iftype == class_iface ?
			"The class has already been defined" :
			"The namespace has already been defined in another module");
	}

	cd -> iff -> module = currentModule;

	/* Complete the initialisation. */

	cd -> classflags = 0;
	cd -> classnr = -1;
	cd -> pyindent = -1;
	cd -> ecd = currentScope();
	cd -> supers = NULL;
	cd -> hierachy = NULL;
	cd -> ctors = NULL;
	cd -> dtorcode = NULL;
	cd -> members = NULL;
	cd -> overs = NULL;
	cd -> vmembers = NULL;
	cd -> visible = NULL;
	cd -> cppcode = NULL;
	cd -> hdrcode = (cd -> ecd != NULL ? cd -> ecd -> hdrcode : NULL);
	cd -> convtosubcode = NULL;
	cd -> subbase = NULL;
	cd -> convtocode = NULL;

	return cd;
}


/*
 * Tidy up after finishing a class definition.
 */

static void finishClass(classDef *cd,optFlags *optflgs)
{
	overDef *od;

	/* Handle any optional flags. */

	if (findOptFlag(optflgs,"CreatesThread",bool_flag) != NULL)
		setCreatesThread(cd);

	if (cd -> ctors == NULL)
	{
		/* Provide a default ctor. */

		cd -> ctors = sipMalloc(sizeof (ctorDef));
 
		cd -> ctors -> ctorflags = SECT_IS_PUBLIC;
		cd -> ctors -> args.nrArgs = 0;
		cd -> ctors -> cppcode = NULL;
		cd -> ctors -> next = NULL;

		resetCannotCreate(cd);
	}

	/* We can't create this class if it has private abstract functions. */

	for (od = cd -> overs; od != NULL; od = od -> next)
		if (isAbstract(od) && isPrivate(od))
		{
			setCannotCreate(cd);
			break;
		}
}


/*
 * Create a new mapped type.
 */

static mappedTypeDef *newMappedType(sipSpec *pt,argDef *ad)
{
	mappedTypeDef *mtd;
	scopedNameDef *snd;
	ifaceFileDef *iff;

	/* Check that the type is one we want to map. */

	switch (ad -> atype)
	{
	case defined_type:
		snd = ad -> u.snd;
		break;

	case template_type:
		snd = ad -> u.td -> fqname;
		break;

	case struct_type:
		snd = ad -> u.sname;
		break;

	default:
		yyerror("Invalid type for %MappedType");
	}

	iff = findIfaceFile(pt,snd,mappedtype_iface,ad);

	/* Check it hasn't already been defined. */

	for (mtd = pt -> mappedtypes; mtd != NULL; mtd = mtd -> next)
		if (mtd -> iff == iff)
		{
			/*
			 * We allow types based on the same template but with
			 * different arguments.
			 */

			if (ad -> atype != template_type ||
			    sameBaseType(ad,&mtd -> type,TRUE))
				yyerror("Mapped type has already been defined in this module");
		}

	/* The module may not have been set yet. */

	iff -> module = currentModule;

	/* Create a new mapped type. */

	mtd = sipMalloc(sizeof (mappedTypeDef));

	mtd -> type = *ad;
	mtd -> iff = iff;
	mtd -> hdrcode = NULL;
	mtd -> convfromcode = NULL;
	mtd -> convtocode = NULL;
	mtd -> next = pt -> mappedtypes;

	pt -> mappedtypes = mtd;

	return mtd;
}


/*
 * Create a new enum.
 */

static enumDef *newEnum(sipSpec *pt,moduleDef *mod,char *name,int flags)
{
	enumDef *ed;
	classDef *escope = currentScope();

	ed = sipMalloc(sizeof (enumDef));

	ed -> enumflags = flags;
	ed -> fqname = (name != NULL ? text2scopedName(name) : NULL);
	ed -> ecd = escope;
	ed -> module = mod;
	ed -> values = NULL;
	ed -> next = pt -> enums;

	pt -> enums = ed;

	if (escope != NULL)
		setHasEnums(escope);

	return ed;
}


/*
 * Create a new typedef.
 */

static void newTypedef(sipSpec *pt,char *name,argDef *type)
{
	typedefDef *td;
	scopedNameDef *fqname = text2scopedName(name);

	/* Check it doesn't already exist. */

	for (td = pt -> typedefs; td != NULL; td = td -> next)
		if (sameScopedName(td -> fqname,fqname))
		{
			fatalScopedName(fqname);
			fatal(" already defined\n");
		}

	td = sipMalloc(sizeof (typedefDef));

	td -> fqname = fqname;
	td -> ecd = currentScope();
	td -> type = *type;
	td -> next = pt -> typedefs;

	pt -> typedefs = td;
}


/*
 * Create a new variable.
 */

static void newVar(sipSpec *pt,moduleDef *mod,char *name,int isstatic,
		   argDef *type,codeBlock *code)
{
	varDef *var;
	classDef *escope = currentScope();
	nameDef *nd = cacheName(pt,mod,name);

	checkAttributes(pt,escope,nd,var_attr);

	var = sipMalloc(sizeof (varDef));

	var -> name = nd;
	var -> fqname = text2scopedName(name);
	var -> ecd = escope;
	var -> module = mod;
	var -> varflags = 0;
	var -> type = *type;
	var -> accessfunc = code;
	var -> next = pt -> vars;

	if (isstatic)
		setIsStaticVar(var);

	pt -> vars = var;
}


/*
 * Create a new ctor.
 */

static void newCtor(char *name,int sectFlags,funcArgs *args,codeBlock *code)
{
	ctorDef *ct, **ctp;
	classDef *cd = currentScope();

	/* Check the name of the constructor. */

	if (strcmp(classBaseName(cd),name) != 0)
		yyerror("Constructor doesn't have the same name as its class");

	/*
	 * Find the end of the list and, at the same time, check for any
	 * existing one with the same signature.
	 */

	for (ctp = &cd -> ctors; *ctp != NULL; ctp = &(*ctp) -> next)
		if (sameFuncArgs(&(*ctp) -> args,args,FALSE))
			yyerror("A constructor with the same Python signature has already been defined");

	/* Add to the list of constructors. */

	ct = sipMalloc(sizeof (ctorDef));

	ct -> ctorflags = sectFlags;
	ct -> args = *args;
	ct -> cppcode = code;
	ct -> next = NULL;

	if (isProtectedCtor(ct))
		setIsComplex(cd);

	if (!isPrivateCtor(ct))
		resetCannotCreate(cd);

	*ctp = ct;
}


/*
 * Create a new function.
 */

static void newFunction(sipSpec *pt,moduleDef *mod,int sflags,int isstatic,
			int isvirt,argDef *type,char *name,funcArgs *args,
			int isconst,int isabstract,optFlags *optflgs,
			codeBlock *mcode,codeBlock *vcode)
{
	classDef *cd = currentScope();
	char *pname;
	int factory;
	overDef *od, **odp, **headp;
	optFlag *of;

	headp = (cd != NULL ?  &cd -> overs : &pt -> overs);

	/* See if it is a factory method. */
	if (findOptFlag(optflgs,"Factory",bool_flag) != NULL)
		factory = TRUE;
	else
	{
		int a;

		factory = FALSE;

		/* Check /TransferThis/ wasn't specified. */
		for (a = 0; a < args -> nrArgs; ++a)
			if (isThisTransferred(&args -> args[a]))
				yyerror("/TransferThis/ may only be specified in constructors and /Factory/ methods");
	}

	/* Use the C++ name if a Python name wasn't given. */

	if ((of = findOptFlag(optflgs,"PyName",name_flag)) != NULL)
		pname = of -> fvalue.sval;
	else
		pname = name;

	/* Create a new overload definition. */

	od = sipMalloc(sizeof (overDef));

	/* Set the overload flags. */

	od -> overflags = sflags;

	if (factory)
		setIsFactory(od);

	if (isProtected(od))
		setIsComplex(cd);

	if ((isSlot(od) || isSignal(od)) && !isPrivate(od))
	{
		if (isSignal(od))
			setIsComplex(cd);

		pt -> sigslots = TRUE;
	}

	if (isSignal(od) && (mcode != NULL || vcode != NULL))
		yyerror("Cannot provide code for signals");

	if (isstatic)
	{
		if (isSlot(od) || isSignal(od))
			yyerror("Static functions cannot be slots or signals");

		if (isvirt)
			yyerror("Static functions cannot be virtual");

		setIsStatic(od);
	}

	if (isconst)
		setIsConst(od);

	if (isabstract)
	{
		if (sflags == 0)
			yyerror("Non-class function specified as abstract");

		setIsAbstract(od);
	}

	if ((of = findOptFlag(optflgs,"AutoGen",opt_name_flag)) != NULL)
	{
		setIsAutoGen(od);

		if (of -> fvalue.sval != NULL)
		{
			qualDef *qd;

			if ((qd = findQualifier(pt,of -> fvalue.sval)) == NULL || qd -> qtype != feature_qualifier)
				yyerror("No such feature");

			if (isExcluded(qd))
				resetIsAutoGen(od);
		}
	}

	if (isvirt)
	{
		if (isSignal(od))
			yyerror("Virtual signals aren't supported");

		setIsVirtual(od);
		setIsComplex(cd);
	}
	else if (vcode != NULL)
		yyerror("Virtual code provided for non-virtual function");

	od -> cppname = name;
	od -> args = *args;
	od -> cppcode = mcode;
	od -> virtcode = vcode;
	od -> common = findFunction(pt,mod,cd,pname);

	/* Methods that run in new threads must be virtual. */

	if (findOptFlag(optflgs,"NewThread",bool_flag) != NULL)
	{
		if (!isvirt)
			yyerror("/NewThread/ may only be specified for virtual methods");

		setIsNewThread(od);
	}

	/* Any overload being non-lazy makes all overloads non-lazy. */

	if (findOptFlag(optflgs,"NonLazy",bool_flag) != NULL)
		setIsNonLazy(od -> common);

	if ((of = findOptFlag(optflgs,"PreHook",name_flag)) != NULL)
		od -> prehook = of -> fvalue.sval;
	else
		od -> prehook = NULL;

	if ((of = findOptFlag(optflgs,"PostHook",name_flag)) != NULL)
		od -> posthook = of -> fvalue.sval;
	else
		od -> posthook = NULL;

	if (type -> atype == voidptr_type && type -> nrderefs == 0)
		od -> result = NULL;
	else
	{
		od -> result = sipMalloc(sizeof (argDef));
		*od -> result = *type;
	}

	od -> next = NULL;

	/*
	 * Find the end of the list and, at the same time, check for any
	 * existing one with the same signature.
	 */

	for (odp = headp; *odp != NULL; odp = &(*odp) -> next)
	{
		if ((*odp) -> common != od -> common)
			continue;

		if (!sameOverload(*odp,od,FALSE))
			continue;

		yyerror("A function with the same Python signature has already been defined");
	}

	*odp = od;
}


/*
 * Cache a name in a module.
 */

static nameDef *cacheName(sipSpec *pt,moduleDef *mod,char *name)
{
	nameDef *nd;

	/* See if it already exists. */

	for (nd = pt -> namecache; nd != NULL; nd = nd -> next)
		if (strcmp(nd -> text,name) == 0)
			return nd;

	/* Create a new one. */

	nd = sipMalloc(sizeof (nameDef));

	nd -> text = name;
	nd -> module = mod;
	nd -> next = pt -> namecache;

	pt -> namecache = nd;

	return nd;
}


/*
 * Find (or create) an overloaded function name.
 */

static memberDef *findFunction(sipSpec *pt,moduleDef *mod,classDef *cd,
			       char *pname)
{
	memberDef *md, **flist;
	nameDef *pnd;

	/* Cache the name. */

	pnd = cacheName(pt,mod,pname);

	/* Check there is no name clash. */

	checkAttributes(pt,cd,pnd,func_attr);

	/* See if it already exists. */

	flist = (cd != NULL ? &cd -> members : &pt -> othfuncs);

	for (md = *flist; md != NULL; md = md -> next)
		if (md -> pyname == pnd)
			return md;

	/* Create a new one. */

	md = sipMalloc(sizeof (memberDef));

	md -> pyname = pnd;
	md -> memberflags = 0;
	md -> module = mod;
	md -> next = *flist;

	*flist = md;

	return md;
}


/*
 * Search a set of flags for a particular one and check its type.
 */

static optFlag *findOptFlag(optFlags *flgs,char *name,flagType ft)
{
	int f;

	for (f = 0; f < flgs -> nrFlags; ++f)
	{
		optFlag *of = &flgs -> flags[f];

		if (strcmp(of -> fname,name) == 0)
		{
			/*
			 * An optional name can look like a boolean or a name.
			 */

			if (ft == opt_name_flag)
			{
				if (of -> ftype == bool_flag)
				{
					of -> ftype = opt_name_flag;
					of -> fvalue.sval = NULL;
				}
				else if (of -> ftype == name_flag)
					of -> ftype = opt_name_flag;
			}

			if (ft != of -> ftype)
				yyerror("Optional flag has a value of the wrong type");

			return of;
		}
	}

	return NULL;
}


/*
 * A name is going to be used as a Python attribute name within a Python scope
 * (ie. a Python dictionary), so check against what we already know is going in
 * the same scope in case there is a clash.
 */

static void checkAttributes(sipSpec *pt,classDef *pyscope,nameDef *attr,
			    attrType at)
{
	enumDef *ed;
	varDef *vd;
	classDef *cd;

	/* Check the enum values. */

	for (ed = pt -> enums; ed != NULL; ed = ed -> next)
	{
		enumValueDef *evd;

		if (ed -> ecd != pyscope)
			continue;

		for (evd = ed -> values; evd != NULL; evd = evd -> next)
			if (evd -> name == attr)
				yyerror("There is already an enum value in scope with the same Python name");
	}

	/* Check the variables. */

	for (vd = pt -> vars; vd != NULL; vd = vd -> next)
	{
		if (vd -> ecd != pyscope)
			continue;

		if (vd -> name != attr)
			continue;

		yyerror("There is already a variable in scope with the same Python name");
	}

	/*
	 * Only check the members if this attribute isn't a member because we
	 * can handle members with the same name in the same scope.
	 */

	if (at != func_attr)
	{
		memberDef *md, *membs;

		membs = (pyscope != NULL ? pyscope -> members : pt -> othfuncs);

		for (md = membs; md != NULL; md = md -> next)
		{
			overDef *od, *overs;

			if (md -> pyname != attr)
				continue;

			/* Check for a conflict with all overloads. */

			overs = (pyscope != NULL ? pyscope -> overs : pt -> overs);

			for (od = overs; od != NULL; od = od -> next)
			{
				if (od -> common != md)
					continue;

				yyerror("There is already a function in scope with the same Python name");
			}
		}
	}

	/* Check the classes. */

	for (cd = pt -> classes; cd != NULL; cd = cd -> next)
	{
		if (cd -> ecd != pyscope)
			continue;

		if (cd -> iff -> name != attr)
			continue;

		yyerror("There is already a class or namespace in scope with the same Python name");
	}
}


/*
 * Append a code block to a list of them.  Append is needed to give the
 * specifier easy control over the order of the documentation.
 */

static void appendCodeBlock(codeBlock **headp,codeBlock *new)
{
	while (*headp != NULL)
		headp = &(*headp) -> next;

	*headp = new;
}


/*
 * Handle the end of a fully parsed a file.
 */

static void handleEOF()
{
	/*
	 * Check that the number of nested if's is the same as when we started
	 * the file.
	 */

	if (skipStackPtr > newContext.ifdepth)
		fatal("Too many %%If statements in %s\n",previousFile);

	if (skipStackPtr < newContext.ifdepth)
		fatal("Too many %%End statements in %s\n",previousFile);
}


/*
 * Handle the end of a fully parsed a module.
 */

static void handleEOM()
{
	/* Check it has been named. */

	if (currentModule -> name == NULL)
		fatal("No %%Module has been specified for module defined in %s\n",previousFile);

	/* The previous module is now current. */

	currentModule = newContext.prevmod;
}


/*
 * Find an existing qualifier.
 */

static qualDef *findQualifier(sipSpec *pt,char *name)
{
	moduleDef *mod;

	for (mod = pt -> moduleList; mod != NULL; mod = mod -> next)
	{
		qualDef *qd;

		for (qd = mod -> qualifiers; qd != NULL; qd = qd -> next)
			if (strcmp(qd -> name,name) == 0)
				return qd;
	}

	return NULL;
}


/*
 * Return a copy of a scoped name.
 */

scopedNameDef *copyScopedName(scopedNameDef *snd)
{
	scopedNameDef *head;

	head = NULL;

	while (snd != NULL)
	{
		appendScopedName(&head,text2scopePart(snd -> name));
		snd = snd -> next;
	}

	return head;
}


/*
 * Append a name to a list of scopes.
 */

void appendScopedName(scopedNameDef **headp,scopedNameDef *newsnd)
{
	while (*headp != NULL)
		headp = &(*headp) -> next;

	*headp = newsnd;
}


/*
 * Free a scoped name - but not the text itself.
 */

void freeScopedName(scopedNameDef *snd)
{
	while (snd != NULL)
	{
		scopedNameDef *next = snd -> next;

		free(snd);

		snd = next;
	}
}


/*
 * Convert a text string to a scope part structure.
 */

scopedNameDef *text2scopePart(char *text)
{
	scopedNameDef *snd;

	snd = sipMalloc(sizeof (scopedNameDef));

	snd -> name = text;
	snd -> next = NULL;

	return snd;
}


/*
 * Convert a text string to a fully scoped name.
 */

static scopedNameDef *text2scopedName(char *text)
{
	classDef *cd = currentScope();
	scopedNameDef *snd;

	snd = (cd != NULL ? copyScopedName(cd -> iff -> fqname) : NULL);

	appendScopedName(&snd,text2scopePart(text));

	return snd;
}


/*
 * Return a pointer to the tail part of a scoped name.
 */

char *scopedNameTail(scopedNameDef *snd)
{
	if (snd == NULL)
		return NULL;

	while (snd -> next != NULL)
		snd = snd -> next;

	return snd -> name;
}


/*
 * Push the given scope onto the scope stack.
 */

static void pushScope(classDef *scope)
{
	if (currentScopeIdx >= MAX_NESTED_SCOPE)
		fatal("Internal error: increase the value of MAX_NESTED_SCOPE\n");

	scopeStack[currentScopeIdx] = scope;
	sectFlagsStack[currentScopeIdx] = sectionFlags;

	++currentScopeIdx;
}


/*
 * Pop the scope stack.
 */

static void popScope(void)
{
	if (currentScopeIdx > 0)
		sectionFlags = sectFlagsStack[currentScopeIdx--];
}


/*
 * Return non-zero if the current input should be parsed rather than be
 * skipped.
 */

static int notSkipping()
{
	return (skipStackPtr == 0 ? TRUE : skipStack[skipStackPtr - 1]);
}


/*
 * Return the value of an expression involving a time period.
 */

static int timePeriod(sipSpec *pt,char *lname,char *uname)
{
	int this;
	qualDef *qd, *lower, *upper;
	moduleDef *mod;

	if (lname == NULL)
		lower = NULL;
	else if ((lower = findQualifier(pt,lname)) == NULL || lower -> qtype != time_qualifier)
		yyerror("Lower bound is not a time version");

	if (uname == NULL)
		upper = NULL;
	else if ((upper = findQualifier(pt,uname)) == NULL || upper -> qtype != time_qualifier)
		yyerror("Upper bound is not a time version");

	/* Sanity checks on the bounds. */

	if (lower == NULL && upper == NULL)
		yyerror("Lower and upper bounds cannot both be omitted");

	if (lower != NULL && upper != NULL)
	{
		if (lower -> module != upper -> module)
			yyerror("Lower and upper bounds are from different timelines");

		if (lower == upper)
			yyerror("Lower and upper bounds must be different");

		if (lower -> order > upper -> order)
			yyerror("Later version specified as lower bound");
	}

	/* Go through each slot in the relevant timeline. */

	if (lower != NULL)
		mod = lower -> module;
	else
		mod = upper -> module;

	this = FALSE;

	for (qd = mod -> qualifiers; qd != NULL; qd = qd -> next)
	{
		if (qd -> qtype != time_qualifier)
			continue;

		if (lower != NULL && qd -> order < lower -> order)
			continue;

		if (upper != NULL && qd -> order >= upper -> order)
			continue;

		/*
		 * This is within the required range so if it is also needed
		 * then the expression is true.
		 */

		if (isNeeded(qd))
		{
			this = TRUE;
			break;
		}
	}

	return this;
}


/*
 * Return the value of an expression involving a single platform or feature.
 */

static int platOrFeature(sipSpec *pt,char *name,int optnot)
{
	int this;
	qualDef *qd;

	if ((qd = findQualifier(pt,name)) == NULL || qd -> qtype == time_qualifier)
		yyerror("No such platform or feature");

	/* Assume this sub-expression is false. */

	this = FALSE;

	if (qd -> qtype == feature_qualifier)
	{
		if (!isExcluded(qd))
			this = TRUE;
	}
	else if (isNeeded(qd))
		this = TRUE;

	if (optnot)
		this = !this;

	return this;
}


/*
 * Return TRUE if the given qualifier is excluded.
 */

static int isExcluded(qualDef *qd)
{
	stringList *sl;

	for (sl = excludedQualifiers; sl != NULL; sl = sl -> next)
		if (strcmp(qd -> name,sl -> s) == 0)
			return TRUE;

	return FALSE;
}


/*
 * Return TRUE if the given qualifier is needed.
 */

static int isNeeded(qualDef *qd)
{
	stringList *sl;

	for (sl = neededQualifiers; sl != NULL; sl = sl -> next)
		if (strcmp(qd -> name,sl -> s) == 0)
			return TRUE;

	return FALSE;
}


/*
 * Return the current scope.  currentScope() is only valid if notSkipping()
 * returns non-zero.
 */

static classDef *currentScope(void)
{
	return (currentScopeIdx > 0 ? scopeStack[currentScopeIdx - 1] : NULL);
}


/*
 * Create a new qualifier.
 */

static void newQualifier(sipSpec *pt,moduleDef *mod,int order,char *name,
			 qualType qt)
{
	qualDef *qd;

	/* Check it doesn't already exist. */

	if (findQualifier(pt,name) != NULL)
		yyerror("Version is already defined");

	qd = sipMalloc(sizeof (qualDef));

	qd -> name = name;
	qd -> qtype = qt;
	qd -> module = mod;
	qd -> order = order;
	qd -> next = mod -> qualifiers;

	mod -> qualifiers = qd;
}


/*
 * Create a new imported module.
 */

static void newImport(sipSpec *pt,char *name)
{
	/* Ignore if the file has already been imported. */

	moduleDef *mod;

	for (mod = pt -> moduleList; mod != NULL; mod = mod -> next)
		if (strcmp(mod -> file,name) == 0)
			return;

	newModule(NULL,name);
}


/*
 * If the use of an interface is by the main module, add it to the used list.
 */

static void usedInMainModule(sipSpec *pt,ifaceFileDef *iff)
{
	if (isMainModule(iff -> module))
		addToUsedList(&pt -> used,iff);
}
